NintendoWare for CTR 3DEditor Manual

NintendoWare for CTR
3DEditor Manual
Version 1.0.1
2011/03/29

Confidential

This document contains confidential and proprietary information of Nintendo and is also protected under the copyright laws of the United States and foreign countries. No part of this document may be released, distributed, transmitted, or reproduced in any form or by any electronic or mechanical means, including information storage and retrieval systems, without permission in writing from Nintendo.

This document contains proprietary information. Please take strict measures to keep this information confidential.

© 2009-2011 Nintendo/HAL Laboratory, Inc. All rights reserved.
CTR-06-0136-001-2

Microsoft Internet Explorer 7.0 / Mozilla Firefox 3.0 or later versions are recommended.


Revision History

([*]) is a link to the relevant page.

Version 1.0.1 2011/03/29

Bug Fixes

  • If the Viewer and 3DEditor were linked for real-time data transfers, the Viewer sometimes would freeze if you edited the material for a model that had texture coordinators and after that changed the model name. That problem was fixed.
  • When the Viewer and 3DEditor were linked for real-time data transfers, when you created an animation segment, saved all and then acted to reload data, the process would freeze. That problem was fixed.
  • 3DEditor would experience a fatal error if the transfer of data was interrupted while sending a file to the Viewer. That problem was fixed.
  • If lookup tables were edited and then re-sent to the Viewer, the settings would not become correctly applied. That problem was fixed.
  • When binary was saved, output to separate files resulted in a total size that was greatly different from the size of a single file combining all the binary. That problem was fixed.
  • If a Motion was reloaded after closing all models and animation in 3DEditor or after merging and writing out from Maya, a window would display stating Already loaded and you would not be able to load the Motion.
  • When the Save Changed File window opened for a file that was selected to be closed and the user selected Cancel, the file would be closed anyway. That problem was fixed.
  • When the model properties were saved with the Display/Transform item Show models turned off, then the next time the model was opened the model would not display in the Viewer, even if the Show models property was switched back on. That problem was fixed.
  • In the dialog for editing lookup tables, the grayscale portion would be darkened when there were absolute values and Cos notation. That problem was fixed.
  • In the dialog for editing lookup tables, the notation for Look up by absolute value in lookup table was revised to show Clamp values above 90° for degree value notation and Clamp values below 0 for Cos notation.

Version 1.0.0 2011/02/28

Initial version.

Change to Intermediate File Specification (Important)

In order to improve the overall workflow convenience of 3DEditor, limitations have been added to the specification for intermediate files.

Basically speaking, there is now a restriction that only one type of data can be saved for any given file extension.

Also, for any given extension, each individual intermediate file can store only one set of data.

If you want the intermediate file to contain data that exceeds the limits, load the data in the form of an unsaved file with the extension that corresponds to the type of data.

For intermediate files that store one set of data, the file name is treated as the data name.
For this reason, if the filename and the data name are different, references between intermediate files will be severed. (If the pertinent file and the referenced file are loaded at the same time, an attempt is made to repair the reference.)
If references have been cut, 3DEditor will display a warning when the intermediate file is loaded, so reconfigure the references using 3DEditor and the functions of your text editor (e.g., Replace).

Below is a description of the specification for each intermediate file extension.

Extension | Specifications
.cmdl | This type of file stores a single model. It cannot store multiple models and lookup table sets at the same time.
.ctex | This type of file stores a single texture.
.clts | This type of file stores a single lookup table set.
.cskla | This type of file stores a single skeletal animation.
.cmdla | This type of file stores a single visibility animation.
.cmata | This type of file stores a single material animation.
.cmcla | This type of file stores a single material color animation.
.cmtsa | This type of file stores a single material texture SRT animation.
.cmtpa | This type of file stores a single material texture pattern animation.
.cscn | This type of file stores multiple scenes (the source scene environment) It includes Camera, Light, Fog and their animations.
.ccam | This type of file stores multiple Cameras and multiple camera animations for those Cameras.
.clgt | This type of file stores multiple Lights and multiple light animations for those Lights.
.cfog | This type of file stores multiple Fogs and multiple fog animations for those Fogs.
.cres | This is not supported by 3DEditor and will be eliminated in the future. When a .cres file is loaded to 3DEditor, the data are loaded as a separate unsaved file.
.cenv | This is not supported by 3DEditor and will be eliminated in the future. When a .cenv file is loaded to 3DEditor, the data are loaded as a separate unsaved file.
.cmat | This is not supported by 3DEditor and will be eliminated in the future. Use the .c3mt material settings file instead. To port an existing .cmat, paste the .cmat file to the pertinent model in CreativeStudio and after loading it to 3DEditor save it as a .c3mt file.

CONFIDENTIAL


Introduction

NW4C (NintendoWare for CTR) 3DEditor is a tool for configuring CTR-specific settings for materials and other components of models and other data created with DCC (Digital Content Creation) tools.

By linking to a viewer that operates on a test unit, you can adjust the settings while checking what the results look like on the test unit.

This manual describes how to use the NW4C 3DEditor (hereafter simply referred to as 3DEditor).

Please refer to this manual when using 3DEditor.

Notation Used in this Documentation

The following notation is used in this documentation.

Menu Notation

Menus and menu items are written as follows: Menu Name > Menu Item.

For example, File > Open is used to refer to the Open item in the File menu.

Key Binding Notation

Key bindings, or shortcuts, use multiple keys at the same time. Shortcuts show the keys to press with a "+" sign.

For example, CTRL+S directs you to press the S key while holding down the CTRL key.

Abbreviation

These abbreviations will be used for the remainder of the manual.

Abbreviation | Description
NW4C | NintendoWare for CTR
%NW4C_ROOT% | The folder to which the environment variable NW4C_ROOT is set.


Operating Environment

3DEditor has been confirmed to run in the following operating environment:

  • CTR-SDK 1.1 (SystemUpdater 0.14.23)
  • PARTNER-CTR Debugger software version 2011/02/09
  • Microsoft .NET framework 4.0 Full
    (Page distributing the Web installer version、Page distributing the Web installer stand-alone installer version )
  • Microsoft Visual C++ 2010 redistributable package (x86)
    ( Distribution page )

3DEditor will not operate normally if the following are not installed: Microsoft's .NET Framework 4.0 Full version and Visual C++ 2010 redistributable package (x86),

OS

  • Microsoft Windows XP Professional 32-bit version (SP3 or later)
  • Microsoft Windows 7 64-bit version (32-bit mode)

Hardware

3DEditor has been confirmed to operate normally on the following hardware:

CTR Test Unit

PARTNER-CTR Debugger

PC

Note:
This is the environment specification for confirmed operations and it differs from the actual game development environment.

Item | Operating Environment
CPU | CPU that supports SSE3 (http://en.wikipedia.org/wiki/SSE3)
Memory | 2 Gigabytes
Video card | nVIDIA GeForce7000 series or later

Supported versions of related software

3DEditor can run using data created with certain related software.

Here are the software versions for which operation has been confirmed:

Note:
Operations have not been confirmed under Windows 7 (64-bit). Windows 7 (64-bit) is not guaranteed as a manufacturer operating environment.

Autodesk Maya

  • Windows XP (32 bit ) / Windows 7 ( 64 bit )
    • Maya 2008 Service Pack 1 ( 32bit / 64 bit )
    • Maya 2008 Extension 2 ( 32bit / 64 bit )
    • Maya 2009 ( 32 bit / 64 bit )
    • Maya 2010 ( 32 bit / 64 bit )
    • Maya 2011 ( 32 bit / 64 bit )

Autodesk 3ds Max

  • Windows XP (32 bit ) / Windows 7 ( 64 bit )
    • 3ds Max 2009 ( 32 bit / 64 bit )
    • 3ds Max 2010 ( 32 bit / 64 bit )

Autodesk Softimage

  • Windows XP (32 bit ) / Windows 7 ( 64 bit )
    • Softimage 7.5 ( 32 bit / 64 bit )
    • Softimage 2010 ( 32 bit / 64 bit )

Adobe Photoshop

  • Windows XP (32 bit ) / Windows 7 ( 64 bit )
    • Photoshop CS2 (32 bit )
    • Photoshop CS3 (32 bit )
    • Photoshop CS4 ( 32 bit / 64 bit )
    • Photoshop CS5 ( 32 bit / 64 bit )


Installation

Setup

This section describes the setup procedure for using 3DEditor in the content-creation environment.

This is only a simple setup guide for tool users, and cannot be used to build programs.

Prepare the CTR Development Environment

PARTNER-CTR Debugger

Connect a PARTNER-CTR Debugger unit to your PC.

Refer to the Setup Manual included with the PARTNER-CTR Debugger for detailed connection information.

NintendoWare for CTR (3DEditor)

Download the NintendoWare package and extract it to install in a convenient location on your system.

The package does not include an installer, so it is installed to the location to which it is extracted.

Set the Environment Variable

NintendoWare has a WSF file for the setting the environment variable.

NintendoWare/CTR/setup.wsf

Double-click on setup.wsf to automatically create the NW4C_ROOT environment variable and configure the path to the CTR folder.

Note: If you are manually configuring the environment variable, set the NW4C_ROOT variable to the path to the CTR folder where NintendoWare was installed.

PARTNER-CTR Debugger Software / CTR-SDK

Install the PARTNER-CTR debugger software according to the documentation that came with the CTR-SDK.

Microsoft .NET framework 4.0 Full version

Run the downloaded installer and follow the instructions to install.

Microsoft Visual C++ 2010 Redistributable Package (x86)

Run the downloaded installer and follow the instructions to install.

3DCG Tool Plug-in Settings

The 3DCG Tool Plug-ins are a group of plug-ins provided by NintendoWare for exporting your created data in the form of intermediate files.

The environment variable setting will differ depending on which version of the tool and which operating system you are using.

For more information, see the manuals for the various tool plug-ins, which can be found at the following location:

%NW4C_ROOT%/documents/DccPlugin/


Tutorial

  • Preview in Viewer
  • Property Editing
  • Merging Model Files
  • Creating Scenes
  • Combining and Playing Animations


Preview in Viewer

This section describes the process flow for loading the intermediate file exported from the 3DCG tool into 3DEditor and displaying it on the Viewer.

The resident version of CreativeStudio (CreativeStudioDaemon) will start up automatically if you run 3DEditor for the first time or export an intermediate file from your 3DCG tool.

Start 3DEditor

Double-click the NW4C_3DEditor.exe file located in the folder below to launch 3DEditor.

%NW4C_ROOT%/tools/3DEditor/NW4C_3DEditor.exe

Launch the Viewer

To perform real-time previewing in the Viewer, you must launch the Viewer in PARTNER-CTR Debugger in advance.

Launch the Viewer using the batch file located where NintendoWare was installed.

%NW4C_ROOT%/tools/Viewer/LaunchViewer.bat

Turn power on to the PARTNER-CTR Debugger and use this batch file to automatically launch both the PARTNER-CTR debugger software and the Viewer.
For details on the how to use the Viewer, see the Viewer manual.

Export Intermediate File from 3D CG Tool

Export the intermediate file using the 3DCG tool plug-in.

For details about exporting, see the Plug-In Manual, which can be found in the following location:

%NW4C_ROOT%/documents/DccPlugin

Load into 3DEditor

From the 3DEditor menu select File > Open and then choose which intermediate file to load in the dialog that opens.

Note: You can also load the intermediate file by dragging the file or the folder in which it resides and dropping it on 3DEditor.

When you open the intermediate file for a model, the referenced texture files and lookup table sets are loaded automatically.

Connect to Viewer

From the 3DEditor menu select Preview > Connect to Viewer to send the loaded file to the Viewer for display.

You can also connect to the Viewer using the F5 shortcut key or the Connect to Viewer icon on the Toolbar.

Connect to Viewer icon on the Toolbar

Note: After you have connected to the Viewer, data will be sent automatically to the Viewer and displayed whenever data is edited or a new file is loaded.
If you do not want to send data to the Viewer, select Preview > Disconnect from Viewer from the 3DEditor menu or click again on the Connect to Viewer icon on the Toolbar.

Auto-focus on Selection

If, while connected to the Viewer, you select an object from either Schematic Display or one of the various other view modes in 3DEditor, the Viewer's camera will automatically focus on that selected object.

You can stop this auto-focus feature by disabling Focus on Selected Object in the Toolbar.

Resident version CreativeStudio icon

When the auto-focus feature is stopped, the Viewer's camera will focus on the selected object when you press the keyboard shortcut Ctrl+D.

Memory-resident version CreativeStudio (CreativeStudioDaemon)

The memory-resident version of CreativeStudio is a version of Creative Studio that executes intermediate file optimization and merging by linking with the DCC tool exporter.

The user does not directly launch this version of CreativeStudio. Rather, it starts automatically in the background and its icon displays in the task tray when data are exported from Maya or some other 3DCG tool, or when 3DEditor is launched.

Resident version CreativeStudio icon

Once the memory-resident version of CreativeStudio starts, you can perform intermediate file optimization and merging at high speeds.

Caution:
Separate initial settings are required to display the icon in a Windows 7 environment.

Exiting the memory-resident version of CreativeStudio

To exit from the menu that is displaying, right-click on the icon in the task tray.


Property Editing

This is for editing the properties of the object that has been selected in Object View.

Property Editing supports Undo (Ctrl+Z ) and Redo (Ctrl+Y).

Editing Multiple Objects at Same Time

You can edit more than one object at the same time by selecting multiple objects from Schematic Display or one of the various other view modes of Object View.

To select multiple objects, hold down the Ctrl key while selecting individual objects, or use the mouse and the Shift key to select a range.

Multiple objects selected

If multiple objects have been selected, when you open the Property panel and edit properties, those edits will be applied to all of the selected objects.

Copy & Paste in Property Categories

You can copy & paste items in categories in the Property window

The following methods have been prepared for copy & paste operations:

  • The right-click menu of the Properties item in the Property window.

    The Properties right-click menu

  • The copy & paste icon in the top-right part of the Property window.

    The Properties right-click menu

If the selected category contains sub-categories, the contents of those sub-categories will be copied as well.
When the information is pasted, the settings of the copied sub-categories will also be pasted.

Opening Multiple Property Windows at the Same Time

If you want to open more than one Property window at the same time, press the Pushpin button in the top-left part of the window.

When you press the Pushpin button the selected objects are fixed, so now you can open another Property window or some other window.

The Pushpin feature

If you press the Pushpin button again, the fixed objects will be released.


Saving and Merging Files

Merging Model Files

This section explains the process of merging Model files.

  • Merging
  • Uses of Merging

Overview of the Merge Process

Model file merging is a feature that takes the node and material settings of a Model file edited and saved with 3DEditor and applies those settings to a Model file that has been exported from the 3DCG tool.

Schematic of Model file merging

Merging

This section describes how merging is used.

Normal method of use

You can configure the Export plug-in of the 3D CG tool to predefine which Model file will be merged when the model data is sent to 3DEditor.

By doing this, the specified Model file will be automatically merged when the model data are output from the 3D CG tool and sent to 3DEditor.

The flow for this task is as follows:

  1. Send model data from the 3D CG tool to 3DEditor.
  2. Edit the material settings and other settings using 3DEditor and save the Model file.
  3. Set the Model file saved in step 2 as the model file for merging when data are sent again from the 3D CG tool.

In this merge process, the default operation is the merging of nodes and materials that have the same names.

Content altered by the merge process

Merging results in changes to the following content in the Model file exported from the 3DCG tool:

  • The model's culling settings.
  • The settings of the nodes that are targets of the merge (the property settings and the 3DEditor task information).
  • The settings of the materials that are targets of the merge (the property settings and the 3DEditor task information).

Content not altered by the merge process

The following content does not get changed in the Model file exported from the 3DCG tool:

  • The node structure in the model.
  • The material structure in the model.
  • The model's polygon shapes and their vertex data.

Textures referenced from models

When Model files are merged, the textures are processed as follows:

  • If the target model and the model that is being merged into the target both reference a texture with the same name, the texture referenced by the target model takes priority.
  • Any texture that is referenced only by the model being merged into the target gets added during the merge process.

Uses of Merging

With NintendoWare, the creation and adjustment of 3D model data is done using both the 3DCG tool and 3DEditor. The flow of this procedure is as follows:

  1. Using the Export plug-in, send to 3DEditor the model data that was created with the 3DCG tool.
  2. While previewing, use 3DEditor and the Viewer to configure the hardware-specific (the CTR-specific) material rendering settings and other settings.
  3. Using 3DEditor, save the configured model data in the format of a 3D intermediate file.

Steps 1 and 2 of the above procedure can be repeated.
By using this Model file merge feature, the node and material settings configured in step 2 can be applied to model data re-exported from the 3DCG tool.


Creating Scenes

Scenes provide a numbered way to manage environments (camera, light, fog) configured with 3DEditor.

You can use these managed cameras, lights and fogs linked to the editing of material properties.

Note: Lights are managed as light sets, not as individual lights.

This section describes the process flow from the registration of Camera, Light and Fog to the created scene, through to the checking with the Viewer after the editing of material properties.

Content registered to a scene

  • Create a New Scene
  • Register to Scene
  • Use Registered Scene for Material

Create a New Scene

Open the Right-click menu on Scene in Field View and select Create a New Scene File (.cscn file).

Create New Scene File

This opens a dialog to create a Scene file, so enter a name for the file and then press OK.

When you press OK, a Scene file with the entered name is created and displayed in File View.

The new Scene file displays in File View

Create a scene for the registration of Camera, Light and Fog in the created Scene file (the (.cscn file).

Note: You can not register the various environments (Camera, Light, Fog) merely by creating a new Scene file.

Open the Right-click menu on the newly created Scene file and select Create a New Scene.

This opens a dialog to create a scene, so enter a name for the scene and then press OK.

When you press OK, a scene with the entered name is created and displayed in File View.

The new scene displays in File View

Note: You can create multiple scenes in a Scene file.
If a scene is being used in the Viewer, the display of its file name is followed by [Preview] in the File View window.
Use the Right-click menu to toggle between using and not using the scene in Viewer.

Register to Scene

Register Camera, Light and Fog to the create scene.

Double-click on the scene you want to edit in File View or in Object View to open the Property window and edit the following items.

  • Camera registration
  • Light Set registration
  • Fog registration

Camera registration

(1) Select Camera from among the scene's properties and click Add.

When you click the button, the Add Camera dialog opens and displays the list of cameras that have been loaded to 3DEditor.

(2) Set a number for the camera being registered to the scene.

Add Camera dialog

(3) From the displayed list of cameras, select a camera to register to the number you set in step 2 and then press OK.

When you press OK, the Add Camera dialog closes and the added camera displays in the list of cameras in the Property window.

The Property window of the scene with the added camera

Note: To register more than one camera, repeat steps 1-3.
Just note that you cannot set multiple cameras to the same number.

Light Set registration

(1) Select Light Set from among the scene's properties and click Add.

Pressing the Add button opens a dialog for adding a light set.

When registering lights to a scene, you register a light set, and not individual lights.

(2) Set a number for the light set being registered to the scene.

Add Light Set dialog

(3) Configure the Ambient Light, Hemispherical Light, Fragment Light and Vertex Light for the light set being registered and then press OK.

When you press OK, the Add Light Set dialog closes and the added light set displays in the list of light sets in the Property window.

Displays in list of light sets

Note: To register more than one light set, repeat steps 1-3.
Just note that you cannot set multiple light sets to the same number.

Fog registration

(1) Select Fog from among the scene's properties and click Add.

When you click the button, the Add Fog dialog opens and displays the list of fogs that have been loaded to 3DEditor.

(2) Set a number for the fog being registered to the scene.

Add Fog dialog

(3) From the displayed list of fogs, select a fog to register to the number you set in step 2 and then press OK.

When you press OK, the Add Fog dialog closes and the added fog displays in the list of fogs in the Property window.

The Property window of the scene with the added fog

Note: To register more than one fog, repeat steps 1-3.
Just note that you cannot set multiple fogs to the same number.

Use Registered Scene for Material

Configure the registered Camera, Light Set and Fog to a material and check using the Viewer.

(1) Double-click on a selected material in Object View.

Preparing to use scene for material

(2) The material Property window opens, so configure here the Camera, Light Set and Fog that were registered to the scene.

  • Camera Settings
  • Light Set Settings
  • Fog Settings

Camera Settings

(2) Select the Texture item in the material Property window.

(2) In the texture coordinator part, set a camera that was registered to the scene as the camera to use for projection.

This projection camera setting can be configured by changing the number or via the Select Camera dialog.

Setting the camera in the material Property window

Note: The specification for the projection camera is only valid when the mapping method is projection mapping.

Changing the Number

If you change the number to a number that was used for camera registration, the camera associated with that number will be used.

Select Camera Dialog

Click on the Select File icon in the settings for the Projection Camera to open the Select Camera dialog.

Select which camera to use for the material and press OK.

Setting the camera in the material Property window

When the above setting is configured, the camera registered to the scene is used as the camera for projecting the material.

Checking the Camera in the Viewer

Viewer Operations
Key Operations | Description
R Button + A Button | Switches the View camera. When the View camera is switched, the operating cameras and lights also switch.
R Button + X Button | Switches the operating cameras and lights.

To learn about Viewer operation methods, read this.

Light Set Settings

Change and configure the light sets registered to scenes.

(1) Select Light Set in the material Property window.

Selecting Light Set displays the information about the scene's light sets that are configured at the time of rendering.

Setting a light set in the material Property window

(2) Change the number of the light set, or select a light set for use from the Select Light Set window.

Changing the Number

If you change the number to a number that was used for light set registration, the light set associated with that number will be used.

Select Light Set dialog

Click on the icon for selecting a Light Set file to open the Select Light Set dialog.

Select which light set to use for the material and press OK.

Configure using the Select Light Set dialog

When the above configuration is made, the light set registered to the scene is used for the material.

Checking the Light Set in the Viewer

Viewer Operations
Key Operations | Description
R Button + A Button | Switches the View camera. When the View camera is switched, the operating cameras and lights also switch.
R Button + X Button | Switches the operating cameras and lights.

To learn about Viewer operation methods, read this.

Fog Settings

(1) Select Fog in the material Property window.

Selecting Fog displays the settings for the scene's fogs that are configured at the time of rendering.

Selecting Fog from the material's Properties item.

(2) Mark or clear the checkbox to toggle whether or not to apply Fog to the material.

(3) Change the number of the Fog, or select a Fog for use from the Select Fog window.

Changing the Number

If you change the number to a number that was used for Fog registration, the Fog associated with that number will be used.

Select Fog dialog

Click on the icon for selecting a Fog file to open the Select Fog dialog.

Select which Fog to use for the material and press OK.

Setting with the Select Fog dialog

When the above configuration is made, the fog registered to the scene is used for the material.

Checking the Fog in the Viewer

Viewer Operations
Key Operations | Description
R Button + +Control Pad (Left/Right) | Changes the operating cursor items. Items: Resource name: Switches the selected model/scene. Animation name: Changes the displaying animation. Animation frame: Steps the model/scene animation forward/backward by the playback-rate number of frames. Playback rate: Increases/decreases the animation playback rate.
L Button + R Button + +Control Pad (Left/Right) | Increases/decreases the values of operating cursor items for just the selected model/scene. Items: Animation frame: Steps the selected model/scene animation forward/backward by the playback-rate number of frames. Playback rate: Increases/decreases the selected model/scene animation playback rate.

To learn about Viewer operation methods, read this.


Combining and Playing Animations

This section describes how to use the Animation Set features to combine model animations for playback.

Prepare the Sample Data

The NintendoWare package contains the following sample data, located as shown below. Load this sample data into 3DEditor and connect to the Viewer.

%NW4C_ROOT%/SampleData/Graphics/Intermediate/ProgramResource/Male

  • Male.cmdl (Model)
  • RedFading.cmata (Material animation)
  • Run.cskla (Skeletal animation)

To load the files, select File > Open from the menu or drag & drop the files.

Check the Sample Data

By connecting to the Viewer, the loaded sample data will display.

Switch the animation on the Viewer to separately play RedFading.cmata and Run.cskla.

Checking the two animations

Basic Operations of the Viewer (3D Mode)

This is how to use the system Controller.

Camera Operations
Key Operations | Description
Slide pad | The camera rotates around the viewpoint.
+Control Pad Up/Down | Slides along the world y-axis.
+Control Pad Left/Right | Slides along the world x-axis.
Lower screen (right side 4/5)(Touch panel) | Slides in the camera's XY direction.
Lower screen (left side 1/5)(Touch panel)(up/down) | Slides along the world y-axis.
X Button or Y Button | Moves closer toward the look-at point (X Button). Moves further away from the look-at point (Y Button).
L Button + Slide pad | Slides along a plane parallel to the world XZ plane.
L Button + Lower screen (right side 4/5)(Touch panel) | Tilts the camera.
L Button + Lower screen (left side 1/5)(Touch panel)(up/down) | Slides along the world y-axis.
L Button + X/Y Button | Advances toward the look-at point (the look-at point moves at the same time) (X Button) Recedes in the opposite direction of the look-at point (the look-at point moves at the same time) (Y Button)
L Button + START/SELECT Button | Resets the camera position to its initial state.
R Button + A Button | Switches the View camera. When the View camera is switched, the operating cameras and lights also switch.
R Button + X Button | Switches the operating cameras and lights.
Animation Operations If a model/scene and animations have been loaded, then the animation can be operated.
Key Operations | Description
A Button | Starts/stops playback of all displayed model/scene animations.
B Button | Stops all model or scene animations being displayed and resets to frame 0.
R Button + Y Button | Switches the selected model/scene.
L Button + R Button + X Button | Switches the selected model/scene animation.
L Button + R Button + A Button | Starts/stops playback of the selected model/scene animation.
L Button + R Button + B Button | Stops the selected model/scene animation and resets the frame to 0.
R Button + +Control Pad (Up/Down) | Moves the position of the operating cursor. Moves in the following order: resource name, animation name, animation frame, playback rate.
R Button + +Control Pad (Left/Right) | Changes the operating cursor items. Items: Resource name: Switches the selected model/scene. Animation name: Changes the displaying animation. Animation frame: Steps the model/scene animation forward/backward by the playback-rate number of frames. Playback rate: Increases/decreases the animation playback rate.
L Button + R Button + +Control Pad (Left/Right) | Increases/decreases the values of operating cursor items for just the selected model/scene. Items: Animation frame: Steps the selected model/scene animation forward/backward by the playback-rate number of frames. Playback rate: Increases/decreases the selected model/scene animation playback rate.
R Button + START/SELECT Button | Toggles the looped playback feature on/off for one-time animations.
Lower Screen (Lower part)(Touch panel) | Operates the animation slider bar.

Note: To read about Viewer operations in more detail, select Help > Viewer Help from the 3DEditor main menu.

Creating an Animation Set

Right-click on Male.cmdl displayed in File View and select Create Animation Set.

This opens the dialog for creating an animation set. Enter Run as the name.

The Create Animation Set dialog box

When you press OK, the animation set named Run gets created in the child hierarchy for Male.cmdl, so now drag & drop RedFading.cmata and Run.cskla to there.

Animation files are moved

Note: When you conduct the drag & drop operation a dialog displays to confirm the action. You can perform the operation without this dialog displaying by holding down the Shift key while dragging and dropping.

Once RedFading.cmata and Run.cskla have been moved to the Run animation set, the animation shown in the Viewer switches to Run.

In the Viewer you can confirm that RedFading.cmata and Run.cskla play at the same time.

Playback of the set animations

Playing Skeletal Animations at Same Time

Load the following animations into 3DEditor:

%NW4C_ROOT%/SampleData/Graphics/Intermediate/ProgramResource/Male

  • RunUpper.cskla (Skeletal animation)
  • WalkLower.cskla (Skeletal animation)

Create a new animation set named RunWalk and then register RunUpper.cskla and WalkLower.cskla.

Simultaneous playback of skeletal animations

By switching the animation shown in the Viewer to RunWalk, you can confirm that the two skeletal animations play at the same time.

Registering an Animation to Multiple Animation Sets

This section explains how to register one animation to a number of animation sets.

While pressing the Ctrl key, click on the animation RedFading.cmata that is registered in the Run animation set and drag & drop it to the RunWalk animation set.

Registering in multiple animation sets

By moving a file while depressing the Ctrl key, you can register a single animation to multiple animation sets.

By switching the animation shown in the Viewer to RunWalk, you can confirm that a red light blinks (the animation of RedFading.cmata) while the two skeletal animations play at the same time.

Saving Animation Sets

When you save Male.cmdl, the animation sets also get saved, and the next time you open Male.cmdl the animations sets will be loaded automatically.


User Interface

  • Main Window
  • Toolbars
  • Menus
  • File View
  • Object View
  • File Properties
  • Properties
  • Other Windows


Main Window

  1. Title Bar

    Displays the file path of the selected file.
    If a file was changed and has not been saved, an asterisk (*) is displayed at the end of the filename.

  2. Toolbar

    Toolbars are where frequently used menu items are shown together as sets of icons.

  3. Menu

    Used to call various features.

  4. File View

    Displays a list of loaded files and information about those files.

  5. Object View

    Displays the different types of objects included in loaded files in a variety of ways.

  6. Message View

    Specific error and warning messages are output to this view.

  7. Status Bar

    Displays a description of each menu item and file I/O status.


Toolbar

The toolbar displays icons for various features above the menu bar.

Icon | Corresponding Menu Item | Operation
Open | File → Open | Opens the file.
Save and Overwrite | [File]->[Save] | Overwrite-saves the selected file.
[Save All in Specified Location] | [File] -> [Save All in Specified Location] | Saves all files in the location specified.
 | [File] -> [Overwrite and Save All] | Saves all files.
 | [File]->[Binary Save] | Opens Save Binary File dialog, where you can convert data to binary format and save in a file.
 | [File] -> [Merge] -> [Model] | Merges a model file.
 | Edit → Undo | Restores to a pre-edited state.
 | Edit → Redo | Redoes a single edit that was undone.
 | [Display] -> [Object View] -> [One Screen] | Sets the object view to a single screen layout.
 | [Display] -> [Object View] -> [Two Screens: Horizontal] | Sets the object view to a double screen layout. (upper/lower)
 | [Display] -> [Object View] -> [Two Screens: Vertical] | Sets the object view to a double screen layout. (left/right)
 | [Display] -> [Object View] -> [Triple Screen: Split Bottom] | Sets the object view to a triple screen layout. (split bottom)
 | [Display] -> [Object View] -> [Triple Screen: Split Top] | Sets the object view to a triple screen layout. (split top)
 | [Display] -> [Object View] -> [Triple Screen: Split Right] | Sets the object view to a triple screen layout. (split right)
 | [Display] -> [Object View] -> [Triple Screen: Split Left] | Sets the object view to a triple screen layout. (split left)
 | [Display] -> [Object View] -> [Four Screens] | Sets the object view to a quad screen layout.
 | [Display] -> Property Window] | Displays the property window.
 | [Preview] -> [Connect to Viewer] ([Disconnect from Viewer]) | Starts connection to Viewer. (If connected, terminates the connection).
 | [Preview] -> [Focus Camera When Selecting Object] | Focuses the camera when object is being selected.
 | Help → Help | Opens the help file.
 | [Help] -> [Version Information] | Displays version information.


Menus

  • File
  • Edit
  • View
  • Preview
  • Help


File

The file menu is used to perform file I/O and general application operations.

  1. Displays the Create New submenu.
  2. Opens files supported by 3DEditor (3D intermediate files).

    For details on the loading of files, see the section About Loading Files.

  3. Closes the selected file.

    When a Model file (a .cmdl file) is closed, all Animation files and Texture files being referenced by that model are closed at the same time.

    When a Material Animation (.cmata) file or a Texture Pattern Animation (.cmtpa) file is closed, the Texture files being referenced by the animation are closed at the same time.

  4. Closes all files.
  5. Closes the selected set of files from among all the files.

    When this operation is performed from a context menu in File View, the type of files that will close when selected is determined by which item was right-clicked in File View.

  6. Overwrite-saves the selected file.

    If saving for the first time, a dialog will display and prompt you to specify a save location and filename.

  7. This is the Save As operation, saving the selected file using the specified name.

    A dialog box for specifying the save location and filename will display.

  8. Saves all files to the specified folder.

    The Specify save location dialog will display.

  9. Overwrite-saves all files.

    When a file is being saved for the first time, a dialog displays to confirm where to save it.

  10. All files are converted to binary format for use by the NintendoWare 3D library and then saved.

    The Save Binary File dialog will display.

  11. Displays the Merge submenu.
  12. Changes the name of the selected file.

    For the filename, you can use alphanumeric characters and the underscore (_), hyphen (-) and period (.).
    If the file extension is omitted it is appended automatically.

  13. Closes the 3DEditor.

The Create New Submenu

This Create New submenu is used to perform operations related to the creation of new files.

  1. Creates a new Scene file (a .cscn file).

    Selecting this opens the dialog to create a Scene file.

  2. Creates a new Camera file (a .ccam file).

    Selecting this opens the dialog to create a Camera file.

    A .ccam file stores multiple Cameras and multiple camera animations for those Cameras.

  3. Creates a new Light file (a .clgt file).

    Selecting this opens the dialog to create a Light file.

    A .clgt file stores multiple Lights and multiple light animations for those Lights.

  4. Creates a new Fog file (a .cfog file).

    Selecting this opens the dialog to create a Fog file.

    A .cfog file stores multiple Fogs and multiple fog animations for those Fogs.

  5. Creates a new lookup table set (a .clts file).

    Selecting this opens the dialog to create a lookup table set.

The Merge Submenu

This submenu is used to perform operations related to the merging of files.

The Merge Submenu

  1. Merges the settings of some other Scene file into the selected Scene file.
  2. Merges the settings of some other Model (.cmdl) file into the selected Model file.
  3. Merges the settings of some other animation file into the selected animation file.

The Specify Save Location Dialog

This dialog box is used to specify which file to save and where to save it.

The Specify save location Dialog

  1. Specifies the folder to save to. The save folder can also be selected from a history of folders saved to in the past.
  2. Accesses the folder using the folder specification dialog.
  3. Displays a list of files to be saved. Only those files that have been checked are saved.

    If a file has the same name as an existing file in the save folder, the message ["Time Modified" of file to be overwritten] is displayed.
    Files that have been checked (that will be overwritten) are displayed in red.

  4. Selects a file type to check all corresponding files.
  5. Selects a file type to remove the check from all corresponding files.
  6. Displays the number of files to be saved and the number of checked files for each file type.
  7. Saves the Texture file under <save_folder>/textures.
  8. A confirmation dialog box appears when files are overwritten.


Edit

Performs operations related to editing.

  1. The Undo operation: Cancels any editing, reverting the content to the pre-edited state.

    Operations that involve the importing and exporting of files (open/close/merge) will delete the edit history.
    Once that occurs, be aware that states prior to that action cannot be recovered.

  2. The Redo operation: Reapplies the edits to content previously canceled by the Undo operation, once again putting the content in its post-edited state.


Display

Performs display-related settings.

  1. Displays the Object View submenu.
  2. Sets the column items for the List View for each object.

    The Column Item Settings dialog appears.

  3. Opens the property window for the selected object.
  4. Toggles display of the toolbar.
  5. Toggles display of the status bar.

The Object View Submenu

Performs operations related to the object view display.

The Object View Submenu

  1. Sets the object view to a single screen layout.
  2. Sets the object view to a double screen layout. (upper/lower)
  3. Sets the object view to a double screen layout. (left/right)
  4. Sets the object view to a triple screen layout. (split bottom)
  5. Sets the object view to a triple screen layout. (split top)
  6. Sets the object view to a triple screen layout. (split right)
  7. Sets the object view to a triple screen layout. (split left)
  8. Sets the object view to a quad screen layout.
  9. Resets the object view split size to the default state.

    Valid only for layouts with two or more screens.

Column Item Settings dialog

Sets the column items for the List View for each object.

Column Item Settings dialog

  1. Selects the List View to be configured.
  2. The column items are displayed in current order from top to bottom.

    Check the headers to be displayed.

  3. Shifts the selected header up.
  4. Shifts the selected header down.
  5. Restores the order and display of column items to the default settings.


Preview

This menu is used to perform operations related to previewing on the Viewer.

  1. Connects to the Viewer (or disconnects when connected).

    To begin the connection process, the Viewer and PARTNER-CTR debugger software must already be running.

    While connected to the Viewer, changes made in 3DEditor are applied in real time to the display in the Viewer.

    For details on the use of the Viewer, see the Viewer manual.

  2. This toggles whether or not to focus the camera when an object is selected.
  3. Focuses the camera on the selected object.


Help

Calls up various documents and displays version information.

  1. Opens the help file.
  2. Opens the Viewer help file.
  3. Opens the document, 3D Development Environment Overview.
  4. Opens the 3D Development Environment Glossary.
  5. Displays version information.


File View

File View is for viewing and selecting from among the loaded 3D intermediate files.

The top portion of Filer View displays a list of files, while the bottom portion displays information about the selected file.

It is also for conducting operations on loaded files.

  1. Scene
    Displays a list of Scene files (.cscn files).
    If scenes have been created in a Scene file, they are displayed as child items.
    If a scene is being used in the Viewer, the display of its file name is followed by [Preview].
  2. Camera
    Displays a list of Camera files (.ccam files).
    If cameras have been created in a Camera file, they are displayed as child items.
    If animation has been configured, the animation is also displayed as a child item of the camera.
    If scenes have been created, cameras not used in the scenes are shown in red.
  3. Light
    Displays a list of Light files (.clgt files).
    If lights have been created in a Light file, they are displayed as child items.
    If animation has been configured, the animation is also displayed as a child item of the light.
    If scenes have been created, lights not used in the scenes are shown in red.
  4. Fog
    Displays a list of Fog files (.cfog files).
    If fogs have been created in a Fog file, they are displayed as child items.
    If animation has been configured, the animation is also displayed as a child item of the fog.
    If scenes have been created, fogs not used in the scenes are shown in red.
  5. Model
    Displays a list of Model files (.cmdl files).
    If animation has been configured in a Model file, it is displayed as a child item.
  6. Texture
    Displays a list of Texture files (.ctex files).
    Textures that are not used in models are shown in red.
  7. Lookup Table Set
    Displays a list of Lookup Table Set files (.clts files).
    Lookup tables that are not used being are shown in red.
  8. Shader
    Displays a list of the Shader files being used (.csdr files).
    Shaders that are not used being are shown in red.
  9. Click the triangle symbol to show/hide the file information.
    Drag the portion below the triangle to change the size of the display region for file Information.
  10. General
    This region displays information that is common to all files.
  11. Model File
    This region displays information that is unique to each kind of file.

File View Features

File View has the following features:

  • Red checkmarks display on the icons of files being edited.
  • When a file is selected, the file path is displayed in the main window title bar, and the file information is displayed in the lower part of File View.
  • If you double-click on a selected property item, the Property window will open for that item.
    If you double-click on the thumbnail for a texture, the Image Details window opens.
  • Right-click a selected file (or file group) to display a corresponding menu.
  • You can drag & drop content to move it around inside a file group (of Scene, Camera, Light and Fog).
    You cannot move the content to a different group.
  • Animation files can be moved to animation sets and different models by dragging & dropping.

File Context Menus

When you right-click on the different types of files in File View, the following context menus display.

  • Scenes
  • Camera
  • Lights
  • Fog
  • Model
  • Textures
  • Lookup table set
  • Shaders

Scene File Groups

New Scene File
Creates a new Scene file (a .cscn file).
Select this to open the Create Scene File dialog, then create the file using any name.
Open Scene
Select to load some existing Scene file from the Open dialog.
Close All Scenes
Close all loaded scenes.
Select and Close Scenes
Use this to close selected scenes.

Scene Files

New Scene
Creates a new scene.
Select this to open the Create Scene dialog, then create the scene using any name.
Close
Use this to close selected scenes.
If you have edited the Scene file, this opens the Save dialog and you can choose to save the scene.
Save
Overwrite-saves the selected scene.
Save as
Opens the Save As dialog so you can save the selected scene with a different name.
Save Scene File and Reference Files
Saves the Scene file as well as the files being referenced.
When you select this, the Specify save location dialog opens and you can specify referenced files to save.
Rename
Use this to rename the selected Scene file.

Scenes

Delete Scene
Deletes the selected scene.
Save
Select to load some existing Scene file from the Open dialog.
Save as
Saves the selected scene using the specified name.
Save Scene File and Reference Files
Saves the Scene file as well as the files being referenced.
When you select this, the Specify save location dialog opens and you can specify referenced files to save.
Rename
Use this to rename the selected scene.
Use Scene in Viewer
If a given scene is not being used for the Viewer, you can select that it be used.
When a scene is selected, [ Preview ] displays after its name in File View.
Do Not Use Scene in Viewer
If a given scene is being used for the Viewer, you can select that it not be used.
When the scene is selected, [ Preview ] no longer displays after its name in File View.

Camera File Groups

New Camera File
Creates a new Camera file (a .ccam file).

Camera Files

New Camera
Creates a new camera.
Select this to open the Create Camera dialog, then create it using any name.
Close
Use this to close selected Camera files.
If you have edited the Camera file, this opens the Save dialog and you can choose to save it.
Save
Overwrite-saves the selected Camera file.
Save as
Opens the Save As dialog so you can save the selected Camera file with a different name.
Rename
Use this to rename the selected Camera file.

Camera

New Camera Animation
Use this to set a new animation to a camera.
Select this to open the Create New Animation dialog, which you can use to create an animation using any name and the default settings.
Delete Camera
Deletes the selected camera.
Close
Closes the selected camera.
Save
Overwrite-saves the selected camera.
Save as
Saves the selected camera using the specified name.
Rename
Use this to rename the camera.

Camera animation

Delete Camera Animation
Deletes the selected camera animation.
Rename
Use this to rename the selected camera animation.

Light File Groups

New Light File
Creates a new Light file (a .clgt file).

Light Files

New Light
Creates a new light.
Select this to open the Create Light dialog to set the name and light type.
Close
Use this to close the selected Light file.
If you have edited the Light file, this opens the Save dialog and you can choose to save it.
Save
Overwrite-saves the selected light.
Save as
Saves the selected light using the specified name.
Rename
Use this to rename the light.

Lights

New Light Animation
Use this to set a new animation to a light.
Select this to open the Create New Animation dialog, which you can use to create an animation using any name and the default settings.
Delete Light
Deletes the selected light.
Close
Closes the selected light.
Save
Overwrite-saves the selected light.
Save as
Saves the selected light using the specified name.
Rename
Use this to rename the light.

Light animation

Delete Light Animation
Deletes the selected light animation.
Rename
Use this to rename the selected light animation.

Fog File Groups

New Fog File
Creates a new Fog file (a .cfog file).

Fog Files

New Fog
Creates a new fog.
Select this to open the Create Fog dialog to set the name and fog function.
Close
Use this to close selected Fog files.
If you have edited the Fog file, this opens the Save dialog and you can choose to save it.
Save
Overwrite-saves the selected fog.
Save as
Saves the selected fog using the specified name.
Rename
Use this to rename the fog.

Fog

New Fog Animation
Use this to set a new animation to a fog.
Select this to open the Create New Animation dialog, which you can use to create an animation using any name and the default settings.
Delete Fog
Deletes the selected fog.
Close
Closes the selected fog.
Save
Overwrite-saves the selected fog.
Save as
Saves the selected fog using the specified name.
Rename
Use this to rename the fog.

Fog animation

Delete Fog Animation
Deletes the selected fog animation.
Rename
Use this to rename the selected fog animation.

Model File Group

Open Model
Select to load some existing Model file (some .cmdl file) from the Open dialog.
Close All Models
Close all loaded Model files.
If there are any edited files, this opens the Save Changed File dialog and you can choose to save the changes.
Select and Close Models
This opens the Select files to close dialog, where you can choose which loaded files to close.
Save All Models and Files
This opens the Specify save location dialog, which shows all loaded Model files along with the files they are referencing, which you are free to save anywhere.
Save All Models and Reference Files as Binary
This opens the Save Binary File dialog, and you can choose which files to save as binary.

Model Files

Open Animation
Select to load some existing Animation file from the Open dialog.
Close All Animations
Closes all animation files set to the model.
Select and Close Animations
This opens the Select files to close dialog, where you can choose which animations to close.
New Animation Set
Select this to open the New Animation Set dialog and create an animation set using any name.
New Animation
You can create the following animations:
  • New Color Animation
  • New Texture Pattern Animation
  • New Texture SRT Animation
  • New Material Animation
  • New Model Animation
Select this to open the Create New Animation dialog, which you can use to create an animation using any name and the default settings.
Close Model and Reference Files
Closes the Model file and the files being referenced by the Model file.
If a file being closed has been edited, a dialog opens so you can choose to save the changes.
Close Model Only
Closes only the selected Model file.
If the Model file has been edited, a dialog opens so you can choose to save the changes.
Save
Overwrite-saves the selected model.
Save as
Saves the selected model using the specified name.
Save Model and Reference Files
This opens the Specify save location dialog, so the Model file along with the files being referenced can be saved anywhere.
Save Models and Reference Files as Binary
Outputs the Model file and the files being referenced as binary.
Selecting this opens the Save Binary File dialog.
Merge Model File
Selecting this opens the Merge File Selection dialog, where you can select any Model file to be the merge target.
Rename
Use this to rename the selected Model file.
Show on Viewer
Choose whether or not to display the model on the Viewer.

Common to Animations

This is the context menu that displays when you right-click on a newly created animation.

Close
Closes the selected animation.
Save
Overwrite-saves the selected animation.
Save as
Saves the selected animation using the specified name.
Rename
Use this to rename the animation.

Material Animation

In addition to the common items, the context menu for Material animations also has these other items:

Split up animations by type
Selecting this opens the Split a material animation dialog.
In this dialog you can split up the Color animation, Texture Pattern animation and Texture SRT animation that comprise the Material animation.
Combine different types of animation
Selecting this opens the Combine material animations dialog.
Use this to combine Color animation, Texture Pattern animation and Texture SRT animation into a single animation.
Overwrite with another material animation
Selecting this opens the Combine from another material animation dialog.
Use this to overwrite and combine the selected Material animation with a different Material animation.

Animation Sets

This is the context menu that appears when you right-click on an animation set created for a Model file.

Rename
Use this to rename the animation set.
Use Animation Set in Viewer
Switch between applying and not applying the selected animation set in the Viewer.
Delete Animation Set
Deletes the selected animation set.

Note: Unbind Animation has been added to the context menu for animations registered to animation sets.
But currently, when you select Unbind Animation the animation closes.
The closed animation will need to be reloaded to 3DEditor.

Texture File Groups

Open Texture
Select to load some existing Texture file from the Open dialog.
Close All Textures
Close all loaded Texture files.
If there are any edited textures, this opens the Save Changed File dialog and you can choose to save the changes.
Close all textures not being referenced
This closes all Texture files not being referenced from the model.

Texture Files

Close
Use this to close the selected Texture file.
Save
Overwrite-saves the selected Texture file.
Save as
Saves the selected Texture file using the specified name.
Rename
Use this to rename the Texture file.
View Image Details
Selecting this opens the Image Details window.

Lookup Table Set File Groups

New Lookup Table Set
Creates a new lookup table set.
Selecting this opens the New Lookup Table Set dialog for creating a new lookup table set using any name.
Open Lookup Table Set
Select to load some existing lookup table set from the Open dialog.
Close All Lookup Table Sets
This closes all loaded lookup table sets
Close All Lookup Table Sets Not Referenced
This closes all lookup table sets which are not being referenced.

Lookup table set

Close
Closes the selected lookup table set.
Save
Overwrite-saves the selected lookup table set.
Save as
Saves the selected lookup table set using the specified name.
Rename
Use this to rename a lookup table set.

Shader File Groups

Open Shader
Select to load any Shader file from the Open dialog.
Close All Shaders
Close all loaded Shader files.
Close All Shader Files Not Referenced
This closes all Shader files which are not being referenced.

Shader Files

Close
Use this to close the selected Shader file.
Save
Overwrite-saves the selected Shader file.
Save as
Saves the selected Shader file using the specified name.
Rename
Use this to rename the Shader file.


Object View

This View is for displaying and selecting the various objects contained in a loaded 3D intermediate file.

Object View offers various layouts and display modes for the selection of objects. You can switch between layouts and modes to fit the task at hand.

  1. Shows the name of the selected object.

    When multiple objects are selected, this shows the name of the object in focus and the number of selected objects of the same type.

    View of selected objects
    Content shown | Description
    No object selected | No object has been selected.
    One selected | One object has been selected.
    Many selected | Multiple objects have been selected. (In this case, three.)
  2. The View's display mode.

    You can change the display mode using the arrow on the right (or by right-clicking inside the title area to open the context menu).

    The display modes are explained in detail below in the section Object View display modes.

  3. Objects are displayed according to the View's display mode.

Object Types

Below is a list of the different types of objects that are displayed in Object View.

Object Types
Icon | Object | Description
Scene | Scene | Corresponds to the Scene (.cscn) file.
Camera | Camera | The cameras included in the Camera (.ccam) file.
Ambient light | Ambient light | The ambient lights included in the Light (.clgt) file.
Hemispherical light | Hemispherical Light | The hemispherical lights included in the Light (.clgt) file.
Fragment light | Fragment light | The fragments lights included in the Light (.clgt) file.
Vertex light | Vertex light | The vertex lights included in the Light (.clgt) file.
Fog | Fog | The fogs included in the Fog (.cfog) file
Model | Model | Corresponds to the Model (.cmdl) file.
Bone | Bone | The bones included in the model.
Mesh | Mesh | The meshes included in the model.
Material | Material | The materials included in the model.
Texture | Texture | Corresponds to the Texture (.ctex) file.
Lookup table set | Lookup table set | Corresponds to the Lookup Table Set (.clts) file.

Object View Layouts

Object View can be presented in eight different kinds of layouts for showing multiple Views at the same time.
You can switch between layouts from the Menu or from the Toolbar.

Object View Layouts
Icon | Layout | Description
Single-screen layout | Single-screen layout | Displays a single View encompassing the entire region.
Two-screen layout (horizontal break) | Two-screen layout (horizontal break) | The region is divided into upper and lower sections for the display of two Views.
Two-screen layout (vertical break) | Two-screen layout (vertical break) | The region is divided into left and right sections for the display of two Views.
Three-screen layout (lower part split) | Three-screen layout (lower part split) | The screen is divided into upper and lower sections and the bottom section is divided again for the display of three Views.
Three-screen layout (upper part split) | Three-screen layout (upper part split) | The screen is divided into upper and lower sections and the upper section is divided again for the display of three Views.
Three-screen layout (right part split) | Three-screen layout (right part split) | The screen is divided into left and right sections and the right section is divided again for the display of three Views.
Three-screen layout (left part split) | Three-screen layout (left part split) | The screen is divided into left and right sections and the left section is divided again for the display of three Views.
Four-screen layout | Four-screen layout | The region is divided into four sections for the display of four Views.

With a multi-screen layout, you can show a View more than once in different display modes.
However, you cannot display the same View in the same display mode multiple times.

Common features for multi-screen View layouts

There are certain common features for multi-screen View layouts:

  • Dragging on the border of the View changes the division size.
  • Double-clicking on the border of the View restores the division to the default size.

Object View Display Modes

Below is a list of the display modes for the various View screens in Object View.
Depending on the display mode, the content on display will differ, as will the method for selecting objects.

Display View Modes
Icon | Display Mode | Description
Schematic Display | Schematic Display | Displays a hierarchically structured schematic of a model and the nodes and materials included in that model.
Tree View | Tree View | Shows the hierarchical structure of a model and the nodes and materials included in that model in the form of a tree view.
Model List | Model List | Displays models in list format.
Node List | Bone List | Displays the bones included in the model in list format.
Node List | Mesh List | Displays the meshes included in the model in list format.
Material List | Material List | Displays the materials included in the model in list format.
Texture List | Texture List | Displays textures in list format.
Lookup Table Set List | Lookup Table Set List | Displays lookup table sets in list format.
Scene List | Scene List | Displays scenes and the objects included in the scenes in list format.
Light List | Light List | Displays lights in list format.
Fog List | Fog List | Displays fogs in list format.
Camera List | Camera List | Displays cameras in list format.

Common features in list display modes

The following common features and operations are available in List View mode for models, bones, meshes, materials, textures, scenes, lights, cameras, fogs and lookup table sets..

Number of items
The title bar shows the number of items that are being displayed in the list.
Change column width
Drag the border of the column item.
Double-clicking on the border will reset the column's width to its default width.
Switch display order of columns
Drag a column item and drop it on the column item that you want it to switch positions with.
Sort the column
Left-click on the column.
If you click repeatedly on the same column, the items in the column are sorted alternately in ascending and descending order
Set item shown in column
Right-click on a column to open the Settings dialog that displays from the context menu.
For details, see the Column Item Settings dialog.

Context Menu

When you right-click on a selected object in Object View, a context menu displays.

The context menu varies depending on the display mode, so see the descriptions of the various display modes for details.

Highlighting in Viewer for Selected Object

If you are connected to the Viewer, when you select an object in Object View certain information will be highlighted in the Viewer. What gets highlighted depends on the type of object that has been selected.

Model
The model will blink for a time and the coordinate axes that represent the coordinate system for the model are shown.
Mesh
The polygons included in the selected mesh will blink for a time, and the coordinate axes that represent the coordinate system for the model/bone are shown.
Bone
The coordinate axes that represent the coordinate system for the bone are shown.
Material
The polygons to which the material is being applied will blink for a time, and the coordinate axes that represent the coordinate system for the model/bone are shown.
Texture
The polygons to which the texture is being applied will blink for a time, and the coordinate axes that represent the coordinate system for the model/bone are shown.


Schematic Display

Displays a hierarchically structured schematic of a model and the nodes included in that model (bone/mesh/material/texture), or a scene and the cameras, lights and fog configured in that scene.

  1. Shows a model.
  2. Shows a bone.
  3. Shows a mesh.
  4. Shows a material.
  5. Shows a texture.
  6. Shows a scene.
  7. Shows a light.
  8. Shows a camera.
  9. Shows a fog.
  10. Shows the selected object.

    For details on selecting objects, see Operations Inside the View.

  11. Adjusts the view so that all objects are displayed therein.

    There may be times, based on model hierarchy, when the view will be unable to display all objects at once.

  12. Adjusts the view such that the selected objects are centered therein.
  13. Adjusts the object overall for display in the View.
  14. Aligns the selected objects and their child objects.
  15. Sets the view magnification level.

    Slide it to the right to enlarge and to the left to shrink.

  16. Reduces the view magnification.
  17. Increases the view magnification.

Operations Inside the View

The following can be performed in Schematic View mode.

Select object
Right-click an object to select it.
De-select by clicking in an area where nothing is displayed.
Switch object display
Press the Model button to toggle the display status between Hide/Show/Details for bones, meshes, materials and textures.
Switching the object display status in Schematic Display
Open object Property window
Right-double-click an object to open the corresponding Property window.
Set object Working color
Click the object's color icon to open the Color Picker dialog and set the Working color.
Set object Working comment
Click on the icon for a Model, Bone, Mesh, Material or Texture to enter a Working comment for that object.
When an objected is selected, you can also enter and edit Working comments by using the F3 shortcut key.
Select multiple objects
Drag to select a range of objects by first clicking in a region where nothing is being displayed.
Move object
Left-click the object and drag.
Child objects will move together with the selected object.
Hold down the Shift key while dragging to move only the selected object.
View texture details window from object
If the model is using textures, thumbnails will display for the textures being used for material objects and texture objects.
Click on a texture thumbnail to check information in the Image Details window.
Scroll the View
Drag with the center button. The view will scroll in the direction you drag in.
Zoom in/out the View
Drag the center button while holding the Ctrl key down. Drag to the right to zoom in. Drag to the left to zoom out.
If the mouse has a center scroll wheel, this can also be used to zoom in and out.

Context Menu

When you right-click on the Schematic Display, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Display

Zoom in
Increases the view magnification.
You can also zoom in using the + key.
Zoom out
Reduces the view magnification.
You can also zoom out using the - key.
Display all in center
Centers the display of all objects showing in the View so they can be checked.
The View magnification will be altered automatically so everything can be seen.
You can also use the A key to center the display of all objects.
Display selected objects in center
Displays the selected objects in the center of the View.
This feature does not work if no objects are selected.
You can also use the F key to center the display of selected objects.
Align all
Aligns all objects being displayed.
Align selected objects
Aligns the objects in the child hierarchy of the selected objects.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Tree View

Shows the hierarchical structure of a model and the nodes included in that model (bone, mesh, material) in the form of a tree view.

In Tree View mode, you cannot select more than one object at a time.

  1. Shows a model.
  2. Shows a mesh.
  3. Shows a material.

    When a material is shared by multiple nodes, it is displayed for each node item.

  4. Shows a bone.

Context Menu

When you right-click on Tree View, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Show in Viewer

In Tree View, this menu is displayed when a model has been selected.

Toggle whether or not to display the model on the Viewer.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Model List

Displays models in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the model Property window.

Status
Displays the status of the Working color and comments attached to the model.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Model
The model name.
Bottleneck Hints
Shows how many optimization tips there are.
Number of Bones
The number of bones included in the model.
Number of Meshes
The number of meshes included in the model.
Number of Materials
The number of materials included in the model.
Vertex count
The number of vertices for all polygons rendered in the model.
Polygon Count
The number of polygons divided into triangles for all polygons rendered in the model.
Primitive count
The number of matrices in the model. This represents the number of <matrix> elements in the cmdlfile.
Comments
The comment attached to the model.

Context Menu

When you right-click on the Model List, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Show in Viewer

Toggle whether or not to display the model on the Viewer.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Bone List

Displays bones in list format.

The following properties are shown in the list columns

For details about the various properties, see the section on the bone Property window.

Status
Displays the status of the Working color and comments attached to the bone.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Bone
The bone name.
Bottleneck Hints
Shows how many optimization tips there are.
Model
Shows the name of the model using the bone.
Use in polygon rendering
Shows the status of the bone being used for polygon rendering.
Use in skinning calculation
Shows the status of the bone being used for skinning calculations.
Scale Compensate
Shows the status of scale compensation for the bone.
Billboard Mode
Shows the type of billboard that has been set for the bone.
Scale
Shows the Scale information for the bone.
Rotate
Shows the Rotate information for the bone.
Translate
ボーンの Translate 情報を表示します。
Allow compression
Shows information about the compression allowed for the bone.
Comments
The comment attached to the bone.

Context Menu

When you right-click on the Bone List, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Mesh List

Displays meshes in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the mesh Property window.

Status
Displays the status of the Working color and comments attached to the mesh.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Mesh
The name of the mesh.
Bottleneck Hints
Shows how many optimization tips there are.
Model
Shows the name of the model using the mesh.
Display
Shows whether the mesh is being displayed.
Render Priority
Shows the render priority of the mesh.
Polygon count
Shows the number of polygons being used for the mesh.
Vertex count
Shows the number of vertices in the mesh.
Primitive count
Shows the number of render units.
Stream quantization
Shows information about stream quantization.
Skinning
Displays information about the skinning mode for the mesh.
Number of bones affected
Shows the number of bones affected by the mesh.
Comments
The comments attached to the mesh.

Context Menu

When you right-click on the Mesh List, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Material List

Displays the materials included in the model in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the material Property window.

Status
Displays the status of the Working color and comments attached to the material.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Material
The name of the material.
Bottleneck Hints
Shows how many optimization tips there are.
Model
The name of the model that contains the material.
Display Face
The surface of the material that is displaying.
Transparency
Shows the layer being used and the state of blending.
Vertex color scaling
Shows information about vertex color scaling.
Diffuse
The material's diffuse color.
A swatch of the color and its R, G, B and A values are displayed.
Ambient
The material's ambient color.
A swatch of the color and its R, G and B values are displayed.
Emissive
The material's emission color.
A swatch of the color and its R, G and B values are displayed.
Specular 0~1
The material's specular color.
A swatch of the color and its R, G and B values are displayed.
Constant 0~5
The material's constant color.
A swatch of the color and its R, G, B and A values are displayed.
Enable fragment lighting
Shows the status for fragment lighting.
Enable vertex lighting
Shows the status for vertex lighting.
Enable hemispherical lighting
Shows the status for hemispherical lighting.
Enable occlusion in hemispherical lighting
Shows the usage status for occlusion in hemispherical lighting.
Light Set
The number of the light set being used for lighting.
Shown to the right of this number is the corresponding light set name in the scene that has been configured for use in the Viewer.
Fog usage
Shows information about fog usage for the material.
Fog index
The number of the fog being used for fog calculations.
Shown to the right of this number is the corresponding fog name in the scene for which fog has been configured.
Number of shader parameters
Shows the number of shader parameters being used for the material.
Texture coordinate unit
Shows the coordinate unit assigned to the texture being used for the material.
Bump mapping mode
Shows the bump mapping mode that is being used.
Texture unit performing bump mapping
Shows the texture number being used for bump mapping.
Enable recalculation of bump vector Z component
Shows the state of bump vector Z component recalculation.
Number of textures
Shows the number of textures being used for the material.
Texture 0~2 image names
The name of the texture image being used for the material.
Texture 0~2 magnification filter
Shows the filtering method used when zooming in on textures.
Texture 0~2 minification filter
Shows the filtering method used when zooming out on textures.
Texture 0~2 minification border color
Shows the RGB values for border color when zooming out on textures.
Texture 0~2 Repeat method in U direction
Shows the repeat method in the U direction of the texture.
Texture 0~2 Repeat method in V direction
Shows the repeat method in the V direction of the texture.
Texture 0~2 LOD minimum level
Shows the texture's minimum LOD level.
Texture 0~2 LOD bias
Shows the texture's LOD bias.
Number of coordinators
Shows the number of coordinators being used for the material.
Coordinator 0~2 mapping method
Shows the mapping method for the coordinators being used for the material.
Coordinator 0~2 UV set in use
Shows the UV set being used by the coordinator
Coordinator 0~2 Texture coordinates calculation method
Shows the texture coordinates calculation method being used by the coordinator.
Coordinator 0~2 Camera in use
Shows the camera being used by the coordinator.
Coordinator 0~2 Matrix Scale U
Shows the coordinator matrix Scale U
Coordinator 0~2 Matrix Scale V
Shows the coordinator matrix Scale V
Coordinator 0~2 Matrix Rotate
Shows the coordinator matrix Rotate
Coordinator 0~2 Matrix Translate U
Shows the coordinator matrix Translate U
Coordinator 0~2 Matrix Translate V
Shows the coordinator matrix Translate V
Blending mode
Shows the state of blending
Logical operation
Shows the method used for logical operations.
Color blending source factor
Shows the source coefficient for color blending.
Color blending destination factor
Shows the destination coefficient for color blending.
Color blending equation
Shows the equation for color blending.
Alpha blending source factor
Shows the source coefficient for alpha blending.
Alpha blending destination factor
Shows the destination coefficient for alpha blending.
Alpha blending equation
Shows the equation for alpha blending.
Blending source color
Shows the source color being used for blending.
The RGB values are displayed to the right.
Flag to enable alpha test
Shows the state of the flag to enable the alpha test.
Comparison function for alpha test
Shows the comparison function being used for the alpha test.
Reference value for alpha test
Shows the reference value being used for the alpha test.
Flag to enable depth test
Shows the state of the flag to enable the depth test.
Flag to enable depth value mask
Shows the state of the mask being used for the depth test.
Depth test pass function
Shows the function being used for the depth test.
Flag to enable stencil test
Shows the state of the flag to enable the stencil test.
Stencil test pass function
Shows the function being used for the stencil test.
Stencil test pass reference value
Shows the reference value being used for the stencil test.
Stencil test pass mask
Shows information about the mask being used for the stencil test.
Operation on fragments that fail stencil test
Shows how failure of the stencil test is handled.
Operation on fragments that pass stencil test but fail depth test
Shows how passage of the stencil test but failure of the depth test is handled.
Operation on fragments that pass both stencil and depth tests, or pass stencil test when depth test is disabled
Shows the handling of passage of both stencil and depth tests, or passage of stencil test when depth test is disabled.
Layer Configuration
Shows the layer configuration being used by the material.
Default background color
Shows the default background color.
The RGB values are displayed to the right.
Apply Fresnel term
Shows information about the Fresnel term being applied to the primary color / secondary color.
Specular color clamping
Shows information about specular color clamping.
Apply table term to distribution 0~1
Shows information about the table term applied to distribution 0~1.
Geometry factor 0~1
Shows information about Geometry factor 0 and Geometry factor 1.
Apply reflection table term
Shows information about the applied reflection table term.
Number of texture combiners
Shows the number of texture combiners being used.
Texture combiner 0~5 Output color result to next stage
Shows whether the color result from combiner 0~5 is output to the next stage (the next combiner).
Texture combiner 0~5 Output alpha result to next stage
Shows whether the alpha result from combiner 0~5 is output to the next stage (the next combiner).
Texture combiner 0~5 Constant color
Shows the constant color being used by texture combiner 0~5.
Texture combiner 0~5 Combiner function
Shows the combiner function being used by texture combiner 0~5.
Texture combiner 0~5 Color scale
Shows the color scale being used by texture combiner 0~5.
Texture combiner 0~5 Color sources 0~2
Shows information about the colors being used for color sources 0~2 for texture combiners 0~5.
Texture combiner 0~5 Color operands 0~2
Shows information about color operands 0~2 for texture combiners 0~5.
Texture combiner 0~5 Alpha combiner function
Shows the alpha combiner function for texture combiner 0~5.
Texture combiner 0~5 Alpha scale
Shows information about the alpha scale being used by texture combiner 0~5.
Texture combiner 0~5 alpha sources 0~2
Shows information about alpha sources 0~2 for texture combiner 0~5.
Texture combiner 0~5 alpha operands 0~2
Shows information about alpha operands 0~2 for texture combiner 0~5.
Comments
Comments attached to the material.

Context Menu

When you right-click on the Material List, a context menu displays with the following menu items:

Edit

Select all
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Texture List

Displays textures in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the texture Property window.

Status
Displays the status of the Working color and comments attached to the texture.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Texture
The name of the texture.
Bottleneck Hints
Shows how many optimization tips there are.
Image
The color thumbnail image (left) and and alpha thumbnail image (right) of the texture.
VRAM Size
Shows the VRAM size of the texture.
VRAM size ratio
Shows the size ratio for the VRAM being used by the texture.
Format
The texture format.
Width
The texture width. In units of pixels.
Height
The texture height. In units of pixels.
Mipmap
The texture mipmap data. Indicates the number of mipmap levels.
Mipmap minimum size
Shows the minimum size for the mipmap
Comments
The comment attached to the texture.

Context Menu

When you right-click on the Texture List, a context menu displays with the following menu items:

Edit

Select All
Selects all objects.
You can also select all objects using Ctrl+A.
Toggle Selection
If an object is selected, the focus switches to an un-selected object.

View Image Details

Detailed information about the selected texture is shown in the Image Details window.

Texture details window

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Lookup Table Set List

Displays lookup table sets in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the lookup table set Property window.

Lookup table set list

Status
Displays the status of the Working color and comments attached to the lookup table set.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Lookup tables
The name of the lookup table set.
Comments
The comments attached to the lookup table set.

Context Menu

When you right-click on the Lookup Table Set List, a context menu displays with the following menu items:

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Scene List

Displays scenes in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the scene Property window.

The Scene List (Top of view)

Status
Displays the status of the Working color and comments attached to the scene.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Scenes
The scene name.
If set to the scene that is being used in the Viewer, the word Preview will be displayed after the name.
Number of Cameras
The number of cameras included in the scene.
Number of Lights
The number of lights included in the scene.
Number of Light Sets
The number of light sets included in the scene.
Number of Fogs
The number of fogs included in the scene.
Comments
The comment attached to the scene.

Context Menu

When you right-click on the Scene List, a context menu displays with the following menu items:

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Light List

Displays lights in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the light Property window.

Status
Displays the status of the Working color and comments attached to the light.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Lights
The name of the light.
Enable
Indicates whether the light is on.
Type
The light type.
Type
Shows the type of light being used.
Both-face lighting
Shows the usage status of Both-face lighting.
Lookup table set
Shows the Lookup table set that is being used.
Ambient color
Shows the RGBA values for the ambient color being used for the light.
Diffuse color
Shows the RGBA values of the diffuse color being used for the light.
Specular color 0~1
Shows the RGBA values for the specular color being used when the specular component is enabled.
Sky color weight
Shows the weight of the sky color when Hemispherical lighting is used.
Sky color
Shows the sky color for Hemispherical lighting.
Ground color
Shows the ground color for Hemispherical lighting.
Position
Shows the position of the light in the scene.
Direction
Shows the direction of the light.
Distance attenuation
The brightness attenuation function when point light source or spotlight settings are active.
Default attenuation
Shows the initial default value for distance attenuation.
Attenuation rate (linear)
Shows information about the attenuation rate (linear).
Attenuation rate (second order)
Shows information about the attenuation rate (second order).
Start of attenuation
Shows the position where attenuation starts.
End of attenuation
Shows the position where attenuation ends.
Distance attenuation lookup table
Displays the name of the lookup table being used for distance attenuation.
Angular attenuation
This is the light distribution function when a spotlight is configured.
Cutoff angle
This is the cutoff angle when a spotlight is configured.
Angular attenuation lookup table
Displays the name of the lookup table being used for angular attenuation.
Angular attenuation input angle
Displays the input angle being used for angular attenuation.
Angular attenuation scaling
Displays the scaling being used for angular attenuation.
Comments
The comments attached to the light.

Context Menu

When you right-click on the Light List, a context menu displays with the following menu items:

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Fog List

Displays lights in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the fog Property window.

Status
Displays the status of the Working color and comments attached to the light.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Fog
The fog's name.
Function
Show the fog function that is being used.
Z-flip
Shows the usage status of Z-flip.
Fog starting depth value
Shows the starting depth value for the fog.
Fog ending depth value
Shows the ending depth value for the fog.
Fog density
Shows the density of the fog being used.
Color
Shows the color being used for the fog in terms of RGB values.
Comments
The comments attached to the fog.

Context Menu

When you right-click on the Fog List, a context menu displays with the following menu items:

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


Camera List

Displays cameras in list format.

The following properties are shown in the list columns.

For details about the various properties, see the section on the camera Property window.

Status
Displays the status of the Working color and comments attached to the camera.
The Working color is shown on the left, while the presence (or absence) of comments is indicated on the right.
If a comment has been attached, the mark will be lit.
Camera
The camera's name.
W Buffer
Shows the usage state of the W buffer.
View type
Shows the view type of the camera.
Position
Shows the position of the camera.
Look-at Point
Shows the look-at point of the camera.
Upward Vector
Shows information about the upward vector.
Twist
Shows information about the twist.
Rotation
Shows information about the rotation.
Projection Method
The camera's projection method.
Field of View (Y)
Shows the field of view for the projection method.
Aspect Ratio
Shows information about the aspect ratio.
Height
Shows information about the height.
Near Distance (Near clip)
Shows the camera's near-clip distance.
Far Distance (Far clip)
Shows the camera's far-clip distance.
Comments
The comment attached to the camera.

Context Menu

When you right-click on the Camera List, a context menu displays with the following menu items:

Properties

This displays only when an object has been selected.

Selecting this menu item opens the corresponding Property window.


File Properties

This Property Window appears when a scene file (.cscn), camera file (.ccam), light file (.clgt), or fog file (.cfog) is selected.

This allows you to check the log along with each file.

  1. Displays property items for the selected file.
  2. Displays details of the selected property item.。


Properties

The properties of the selected object are displayed in the Property Window.

This window is used for editing the properties.

The information displayed in the Property Window will vary, depending on the kind of object that has been selected.

Optimization hints are displayed if there is a possibility of optimizing property settings.

Property Window

  1. Switches the fixing of the target object.

    When the target object is fixed, the target object does not change even if the selected object changes.

  2. Displays the name of the object that is the property setting target.

    When multiple objects are selected, the names of objects in focus and the number of selected objects of the same type are displayed.

  3. Displays property items of the target object.

    When a property item is selected, the details of the selected item are displayed on the right side of the dialog box.
    The composition of the property items will depend on the target object's type. You can copy and paste properties by opening the right click menu.

  4. Copies the settings of the selected property item.

    If the property item has child items, all settings are copied, including the child items.
    Select the root directory to copy all settings of the object.

  5. Pastes the copied properties.

    To paste, same items as the copied property items must be selected.

  6. Inputs and outputs the Material Settings file.

    This operation is valid only when a material has been selected.

    For details, see the Material Property Panel.

  7. Displays property windows having the same target object in another window.

    There are no restrictions on the number of windows that can be displayed.

    Using this feature, the following operations are possible.

    • Displaying properties for several objects at once.
    • Displaying different property items of the same object at once.
  8. Help
    Clicker here opens the help.
    Help can also be opened by pressing F1.
  9. The task color of the target object can be selected using the Color Picker dialog.

    The task color is saved in the intermediate file, but it is not reflected in the binary resource.
    Use this to classify objects when working with 3DEditor.

  10. Sets the task comment for the target object.

    Task comments are saved in the intermediate file, but are not reflected in the binary resource.
    Use this to make explanatory remarks about objects when working with 3DEditor.

  11. Displays details of the selected property item.

    Properties are edited in this view.

Bottleneck Hints

Optimization hints is a feature for notifying the user about property settings that can possibly be optimized.

An optimization hint is displayed if you hover the cursor over the Optimization Comment icon.

You can disable a hint as having been confirmed by right clicking that hint.

You can enable/disable hints and set a threshold for hints in the config file.

Property/ Category | Optimization hint conditions | Config elements
Model/ Model | If the number of polygons in a model exceeds the threshold value | <Enable_Model_PolygonCount> <Threshold_Model_PolygonCount>
 | If the number of vertices in a model exceeds the threshold value | <Enable_Model_VertexCount> <Threshold_Model_VertexCount>
 | If the number of meshes in a model exceeds the threshold value | <Enable_Model_MeshCount> <Threshold_Model_MeshCount>
 | If the number of materials in a model exceeds the threshold value | <Enable_Model_MaterialCount> <Threshold_Model_MaterialCount>
 | If the number of bones in a model exceeds the threshold value | <Enable_Model_BoneCount> <Threshold_Model_BoneCount>
 | If the VRAM size of a model exceeds the threshold value | <Enable_Model_VramSize> <Threshold_Model_VramSize>
 | If the vertex VRAM size of a model exceeds the threshold value | <Enable_Model_VertexVramSize> <Threshold_Model_VertexVramSize>
 | If the texture VRAM size of a model exceeds the threshold value | <Enable_Model_TextureVramSize> <Threshold_Model_TextureVramSize>
 | If the number of meshes in a model exceeds the number of materials | <Enable_Model_MeshMaterialCount>
Mesh / Mesh | If the number of polygons in a mesh exceeds the threshold value | <Enable_Mesh_PolygonCount> <Threshold_Mesh_PolygonCount>
 | If the number of vertices in a mesh exceeds the threshold value | <Enable_Mesh_VertexCount> <Threshold_Mesh_VertexCount>
 | If the VRAM size of a mesh exceeds the threshold value | <Enable_Mesh_VramSize> <Threshold_Mesh_VramSize>
 | If a stream other than BoneIndex or BoneWeight of a mesh has been quantized | <Enable_Mesh_NotBoneStreamQuantization>
 | If the number of bones influenced by a mesh vertex exceeds two | <Enable_Mesh_Bone3_4>
Material/ Display | If Display both faces is set for the material | <Enable_Material_Display_CullingModeNever>
Material/ Vertex shader | If vertex lighting of a material is enabled | <Enable_Material_VertexShader_VertexLighting>
 | If vertex shader output is not used by the combiner stage even though vertex lighting for the material is enabled | <Enable_Material_VertexShader_ NotUseVertexColor_EnableVertexLighting>
 | If vertex shader output is not used by the combiner stage even though hemispherical lighting for the material is enabled | <Enable_Material_VertexShader_ NotUseVertexColor_EnableHemisphereLighting>
Material/ Fragment Lighting | If the primary or secondary color is not used by the combiner stage even though fragment lighting of the material is enabled | <Enable_Material_FragmentLighting_ NotUsePrimarySecondaryColor_EnableFragmentLighting>
 | If the layer config of the material is between 4 to 7 | <Enable_Material_FragmentLighting_LayerConfig4_7>
Material/ Texture | If the number of textures applied to a material exceeds the threshold | <Enable_Material_Texture_Count> <Threshold_Material_Texture_Count>
 | If linear interpolation between mipmap levels of a material is enabled | <Enable_Material_Texture_MipmapLinear_0> <Enable_Material_Texture_MipmapLinear_1> <Enable_Material_Texture_MipmapLinear_2> <Enable_Material_Texture_MipmapLinear_3>
 | If the coordinators for texture 2 and 3 of a material are not Coord0 and Coord1 | <Enable_Material_Texture_T2T3_NotUseC0C1_2> <Enable_Material_Texture_T2T3_NotUseC0C1_3>
 | If a material includes a texture not used by the combiner stage or in bumpmapping | <Enable_Material_Texture_NotUse_0> <Enable_Material_Texture_NotUse_1> <Enable_Material_Texture_NotUse_2> <Enable_Material_Texture_NotUse_3>
Texture/ Texture | If the VRAM size of a texture exceeds the threshold value | <Enable_Texture_Texture_VramSize> <Threshold_Texture_Texture_VramSize>
 | If the format of a texture is not ETC | <Enable_Texture_Texture_NotETC>
 | If the format of a texture is L4 or A4 | <Enable_Texture_Texture_L4_A4>
 | If the size of a texture exceeds the size of the secondary cache | <Enable_Texture_Texture_ETC_Over16384> <Enable_Texture_Texture_NotETC_Over2048>
 | If the texture does not have a mipmap | <Enable_Texture_Texture_NotMipmap>
 | If the texture mipmap is not maximum level | <Enable_Texture_Texture_MipmapNotLeastestSize>


Scenes

Scenes have the following property items.

  • Camera
  • Light Set
  • Fog
  • User Data

  1. Indicates the number of cameras, lights, light sets, and fogs in the scene.
  2. Displays the full path and file name of the scene file (.cs).


Camera

The cameras configured for a scene are displayed here.

Settings for adding and editing cameras are made on the Add/edit camera dialog.

Scene Camera Properties

  1. Add, delete, or edit cameras for a scene.
  2. The cameras configured for a scene are displayed here.

Add/Edit Camera Dialog

Add/Edit Camera Dialog

  1. Sets the camera number.
    An error dialog is displayed if the number set is being used by another camera.
  2. Displays a list of cameras that can be set for the scene.


Light Set

This window displays light sets configured for a scene.

Settings for adding and editing light sets are made on the Add/edit light set dialog.

Scene Light Set Properties

  1. Add, delete, or edit light sets for a scene.
  2. Displays light sets configured for a scene.

Add/Edit Light Set Dialog

Settings for adding fragment lights and/or vertex lights are made on the 、Add Light dialog.

Add/Edit Light Set Dialog

  1. Set the number of the light set to be created.
    An error dialog is displayed if the number set is being used by another light set.
  2. Attaches a comment to the light set.
  3. Select the ambient light to be used by the light set from the pull-down menu.
    Displays the file name of the selected ambient light.
  4. Select the hemispherical light to be used by the light set from the pull-down menu.
    Displays the file name of the selected hemispherical light.
  5. Up to eight fragment lights can be added for use by the light set.
    Pressing Add opens an Add Light dialog, where you can select the fragment light to be added.
  6. Up to four vertex lights can be added for use by the light set.
    Pressing Add opens an Add Light dialog, where you can select the vertex light to be added.

Add Light Dialog

Add/Edit Light Set Dialog

  1. Select the lights to add.


Fog

The fogs configured for a scene are displayed here.

Settings for adding and editing fogs are made on the Add/edit fog dialog.

Scene Fog Properties

  1. Add, delete, or edit the fogs for a scene.
  2. The fogs configured for a scene are displayed here.

Add/Edit Fog Dialog

Add/Edit Fog Dialog

  1. Sets the fog number.
    An error dialog is displayed if the number set is being used by another fog.
  2. Displays a list of fogs that can be set for the scene.


User Data

User data settings are displayed here.

User data is set using the User Data Input dialog.

User Data Properties

  1. Displays integer value user data in hexadecimal.
  2. Moves the selected user data up and down.
  3. Adds, Deletes, and Edits the user data in the list.

    Add and Edit settings are handled on the User Data Input dialog.

    If user data is added when user data is selected, it is added after the selected user data.
    If user data is not selected, the new data is added appended to the end of the list.

  4. The list of configured user data.

    User data is listed in order by name, format, size and value.

    The format has one of the following values.

    string
    character strings data
    int
    integer data
    float
    floating point data

    Size indicates the number of characters for character string data and the amount of data for numeric data.

The User Data Input Dialog

Inputs (edits) user data.

The User Data Input Dialog

  1. Specifies the user data name.
  2. Selects the user data type. The options are character string, integer and floating point.
  3. Set the value selected by type.

    Multiple values can be input by inserting a carriage return between the values.


Camera

Cameras have the following properties.

  • General
  • User Data

  1. Displays camera property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


General

You can configures general camera settings here.

  • Aim Type Settings
  • LookAt Type Settings
  • Rotate Type Settings

  1. Use W buffer

    Select this item when using the W buffer with the camera.

  2. Configures the camera type. Information shown under C differs depending on the camera type.
    Aim method
    This type controls the camera's orientation based on position, viewpoint and twist.
    Further details are given in Aim Type Settings.
    LookAt method
    This method controls the camera's orientation based on a vector that controls the y-axis tilt, the look-at position, and the viewpoint position.
    Further details are given in LookAt Type Settings.
    Rotate
    This method controls the camera's orientation based on position and rotation angle.
    Further details are given in Rotate Type Settings.
  3. Content will vary dependent on the camera type set in A.
  4. Configures the camera projection method.
    Persp
    Configures as a perspective projection camera.
    Ortho
    Configures as a orthographic projection camera.
  5. Configures the view angle in the Y direction for perspective projection.

    This is enabled only when the projection method is set to Persp.
    The settings are configured in the Slider Window.

  6. Sets the height of the visible capacity for orthographic projection.

    This is enabled only when the projection method is set to Ortho. The settings are configured in the Slider Window.

  7. Displays the width of the visible capacity for orthographic projection. It is derived from the Height and Aspect values.

    This value therefore cannot be set directly.

  8. The aspect ratio.

    The settings are configured in the Slider Window.

  9. Sets the distance to the camera's near clipping plane.

    The settings are configured in the Slider Window.

  10. Sets the distance to the camera's far clipping plane.

    The settings are configured in the Slider Window.

Aim Type Settings

Aim Type Settings

  1. Get the position and viewpoint from Viewer

    Gets the camera position and viewpoint from the Viewer.

    Only enabled when connected to the Viewer.

  2. Sets the camera position.
  3. Sets the camera viewpoint.
  4. Sets the rotation angle with respect to the camera's view direction (positive values indicate a counterclockwise direction). In units of degrees.

    The settings are configured in the Slider Window.

The position and viewpoint values used in the Viewer are not always reflected, even when communicating with the Viewer. To reflect the values used in the Viewer, they must be gotten explicitly by using the A button.

LookAt Type Settings

LookAt Type Settings

  1. Get the position and viewpoint from Viewer

    Gets the camera position and viewpoint from the Viewer.

    Only enabled when connected to the Viewer.

  2. Sets the camera position.
  3. Sets the camera viewpoint.
  4. Sets the camera's up vector.

The position and up vector values used in the Viewer are not always reflected, even when communicating with the Viewer.
To reflect the values used in the Viewer, they must be gotten explicitly by using the A button.

Rotate Type Settings

Rotate Type Settings

  1. Get the position and viewpoint from Viewer

    Gets the camera position and viewpoint from the Viewer.

    Only enabled when connected to the Viewer.

  2. Sets the camera position.
  3. Configures the camera rotation angle. In units of degrees.

The position and rotation angle values used in the Viewer are not always reflected , even when communicating with the Viewer.
To reflect the values used in the Viewer, they must be gotten explicitly by using the A button.


Lights

Lights have the following properties.

The settings shown under General vary depending on the type of light created.

  • General
  • User Data

  1. Displays light property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


General

You can configure general light settings here.

Setting items available vary depending on the type of light.

  • Ambient Light Settings
  • Hemispherical Light Settings
  • Ambient Light Settings
  • Vertex Light Settings

Ambient Light Settings

Ambient Light Properties

  1. Enables/disables ambient lighting using the checkbox.
  2. Color
    Sets the ambient light color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.

Hemispherical Light Settings

Hemispherical Light Properties

  1. Enables/disables hemispherical lighting using the checkbox.
  2. Sky direction
    Sets the sky direction for the hemispherical light.
  3. Sky color
    Sets the sky color for the hemispherical light.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  4. Color weight
    Changes the weight of the sky color.
    Setting the weight closer to 1 makes the sky color stronger, and setting the weight closer to 0 makes the ground color stronger.
  5. Ground color
    Sets the ground color for the hemispherical light.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.

Ambient Light Settings

Sets three types of lights that can be configured for fragment lighting.

  • Directional Light Settings
  • Point Light Settings
  • Spot Light Settings

Directional Light Settings

Directional light properties

  1. Enables/disables fragment lighting using the checkbox.
    The type of fragment light to use can be selected using radio buttons.
  2. Get the position and direction from the Viewer

    Gets the light position and direction from the Viewer.

    Only enabled when connected to the Viewer.

  3. Diffuse
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Enables/disables both-face lighting using the checkbox.
  4. Ambient
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  5. Specular 0
    Sets the color for Specular 0.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  6. Specular 1
    Sets the color for Specular 1.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  7. Direction
    Set the direction of the directional light in terms of X, Y and Z.

Point Light Settings

Point light properties

  1. Enables/disables fragment lighting using the checkbox.
    The type of fragment light to use can be selected using radio buttons.
  2. Get the position and direction from the Viewer

    Gets the light position and direction from the Viewer.

    Only enabled when connected to the Viewer.

  3. Position
    Sets the position of the point light in terms of X, Y and Z.
  4. Diffuse
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Enables/disables both-face lighting using the checkbox.
  5. Ambient
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  6. Specular 0
    Sets the color for Specular 0.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  7. Specular 1
    Sets the color for Specular 1.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  8. Lookup table set for attenuation
    You can select the lookup table set to use for point light attenuation from a pull-down menu.
  9. Distance Attenuation
    Settings can be made by selecting the checkbox that enables distance attenuation.
    You can set the start and end of attenuation as well as make settings for distance attenuation using a lookup table.
    Lookup table names that have not been created using absolute values are displayed in red.

Spot Light

Spot light properties

  1. Enables/disables fragment lighting using the checkbox.
    The type of fragment light to use can be selected using radio buttons.
  2. Get the position and direction from the Viewer

    Gets the light position and direction from the Viewer.

    Only enabled when connected to the Viewer.

  3. Position
    Sets the position of the spot light in terms of X, Y and Z.
  4. Diffuse
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Enables/disables both-face lighting using the checkbox.
  5. Ambient
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  6. Specular 0
    Sets the color for Specular 0.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  7. Specular 1
    Sets the color for Specular 1.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  8. Lookup table set for attenuation
    You can select the lookup table set to use for spot light attenuation from a pull-down menu.
  9. Direction
    Sets the direction of the spot light in terms of X, Y and Z.
  10. Distance Attenuation
    Settings can be made by selecting the checkbox that enables distance attenuation.
    You can set the start and end of attenuation as well as make settings for distance attenuation using a lookup table.
    Lookup table names that have not been created using absolute values are displayed in red.
  11. Angular Attenuation
    Sets a spotlight's angular attenuation.

Vertex Light Settings

Sets three types of lights that can be configured for vertex lighting.

  • Directional Light Settings
  • Point Light Settings
  • Spot Light Settings

Directional Light Settings

Directional light properties

  1. Enables/disables vertex lighting using the checkbox.
    The type of vertex light to use can be selected using radio buttons.
  2. Diffuse color
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Alpha settings can also be made.
  3. Ambient color
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  4. Direction
    Set the direction of the directional light in terms of X, Y and Z.

Point Light Settings

Point light properties

  1. Enables/disables vertex lighting using the checkbox.
    The type of vertex light to use can be selected using radio buttons.
  2. Position
    Sets the position of the point light in terms of X, Y and Z.
  3. Diffuse color
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Alpha settings can also be made.
  4. Ambient color
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  5. Distance Attenuation
    Settings can be made by selecting the checkbox that enables distance attenuation.
    Set Constant Attenuation, Linear Attenuation and Quadratic Attenuation.

Spot Light Settings

Spot light properties

  1. Enables/disables vertex lighting using the checkbox.
    The type of vertex light to use can be selected using radio buttons.
  2. Position
    Sets the position of the spot light in terms of X, Y and Z.
  3. Diffuse color
    Sets the diffuse color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
    Alpha settings can also be made.
  4. Ambient color
    Sets the ambient color.
    Clicking the color thumbnail opens a Color Picker dialog that allows you to change the color.
  5. Direction
    Sets the direction of the spot light in terms of X, Y and Z.
  6. Distance Attenuation
    Settings can be made by selecting the checkbox that enables distance attenuation.
    Set Constant Attenuation, Linear Attenuation and Quadratic Attenuation.
  7. Angular Attenuation
    Sets a spotlight's Angular Attenuation, Cutoff, and Brightness Distribution.


Fog

Fogs have the following property items.

  • General
  • User Data

  1. Displays fog property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


General

General fog settings can be made here.

General Fog Properties

  1. Fog Function
    Select the fog function to be used from the pull-down menu.
  2. Start distance
    Sets the distance from the camera at which application of fog starts.
    The higher the value, the farther away application of fog starts.
  3. Ending distance
    Sets the distance from the camera at which fog density is at maximum.
  4. Fog density
    Sets the fog density.
    The higher the numeric value, the denser the fog.
    This can be set using Exponential function or Squared exponential function.
  5. Inverts the depth value to be used with the fog.
  6. Color
    Sets the color used for the fog.
    Clicking the color preview opens a Color Picker dialog that allows you to change the color.


Model

Models have the following property items.

  • View/Transform
  • Mesh Rendering Order
  • Stream Information
  • Animation Targets
  • Log
  • Preview
  • User Data

  1. Displays model properties.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


View/Transform

You can change settings for Scale, Rotate, and Translate by switching Show/Hide for models on the Viewer.

Model View/Transform Properties

  1. You can choose whether to display the model on the Viewer here.
  2. Scale
    Sets whether to directly input a numeric value or use the Slider Window to set the scale of the model to be previewed.
  3. Sets whether to link and modify the XYZ components of the scale.
  4. Rotate
    Configures the rotation angle of the model to be previewed. Rotation is calculated in the order of x-, y-, and z-axes.
    This settings can be made using direct numeric input or the slider window
  5. Translate
    Configures the amount of translation for the model to be previewed.
    This settings can be made using direct numeric input or the slider window
  6. Reset
    Selects an item and resets its settings.


Mesh Rendering Order

Mesh Rendering Property

  1. Selecting a mesh displayed in the Render Priority List displays the material name that uses that mesh.
  2. Render layer
    The render layer can be changed by selecting from among Opaque, Translucent, Subtractive blending, and Additive blending.
  3. Mesh
    Displays the selected mesh name.
  4. Render Priority
    Sets a render priority from 0 to 15.
    Basically, the higher the numeric value for render priority, the more a mesh appears in the foreground compared to meshes with lower numeric values.
  5. Mesh Render Priority List
    Displays the render priority of meshes in a list. This list includes the following items.
    • Rendering order
      Displays the mesh rendering order as a number.
    • Material
      The material name using the mesh is displayed.
      Double-clicking a material name opens the Property Window for materials
    • Render layer
      Displays the render layer being used.
    • Mesh
      Displays the mesh name.
      Double-clicking a material name opens the Property Window for materials
    • Render Priority
      Displays the render priority of meshes.


Stream Information

Stream information about meshes is displayed here.

Stream Information Properties

Mesh
Render priority of the mesh.
VRAM Size
Displays the VRAM size of the mesh.
Number of vertices
Displays the number of vertices held by the mesh.
Polygon Count
Displays the number of polygons being used.
Skinning
Displays skinning mode information about the mesh.
Normal Vectors
Displays normal vector information included in the mesh.
Tangent vectors
Displays tangent vector information included in the mesh.
Color
Displays color information.
Texture coordinates
Displays texture coordinates.
User
Displays user information.


Animation Targets

You can change the model animation targets using the checkboxes.

Animation target properties

  1. Calculate automatically
    Pressing Calculate automatically deselects items for which there is no animation and re-sends data to the Viewer.
  2. Animation target checkboxes
    Deselecting a checkbox stops the animation in question from being made.


Log

  1. File creation log
    Displays a file creation log including information such as the creator.
  2. File change log
    Displays a log of dates the file was changed and the tool used.
  3. DCC tool output log
    Displays Magnify and Start Frame DCC tool output information.
  4. Optimization
    Displays optimization information for models as a log.


Preview

  1. You can choose whether to display the model on the Viewer here.
  2. Specifies the model to be bound under the Viewer from a pull-down menu.
    When selected, this will be displayed in the coordinate system of the bound model.
  3. Specifies the model bone to be bound under the Viewer from a pull-down menu.
    When selected, this will be displayed in the coordinate system of the bound model bone.
  4. Scale
    Sets whether to directly input a numeric value or use the Slider Window to set the scale of the model to be previewed.
  5. Sets whether to link and modify the XYZ components of the scale.
  6. Rotate
    Configures the rotation angle of the model to be previewed. Rotation is calculated in the order of x-, y-, and z-axes.
    This settings can be made using direct numeric input or the slider window
  7. Translate
    Configures the amount of translation for the model to be previewed.
    This settings can be made using direct numeric input or the slider window
  8. Reset
    Selects an item and resets its settings.


Material

Materials have the following property items.

Material configuration file import/export is also possible.

  • Display
  • Color
  • Light Set
  • Vertex Shader
  • Fragment light
  • Textures
  • Combiner Color
  • Combiner Stages
  • Fog
  • Fragment Test
  • Blender
  • User Data

  1. Displays material properties.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.
    The blending preset can be selected from a pull-down menu.
  3. Displays current material settings.

Blending Preset

You can set a blending preset.

  1. Select a blending preset from the pull-down menu.
    Custom can be selected if preset settings are inapproriate.
  2. This table gives details on blending preset settings.

Importing/Exporting Material Configuration Files

This feature is for importing/exporting material configuration files.

Importing/Exporting Material Configuration Files

  1. Used to imports material configuration files (.c3mt).
    Clicking the icon opens a file selection window in a separate window, where you can select the material configuration file.
    Files can also be imported by dragging and dropping them into the material Property window.
  2. Used to exports material configuration files.
    Clicking the icon opens a material configuration file export dialog in a separate window.

Material Configuration File Selection Window

This window opens when selecting a material configuration file for import.

Material Configuration File Export Dialog

  1. Displays the material configuration files (the .c3mt files) that can be selected.
    When you select a file, the dialog for importing the Material Settings file opens and you can configure the details there.

Dialog for importing the Material Settings file

Select the checkboxes for items to be imported and press OK.

Dialog for importing the Material Settings file

  1. Set which items to import from the Material Settings file by marking their checkboxes.
    The items selected here will be the applied items when importing.
  2. Setting details
    Displays details regarding the material settings being imported.
  3. Pressing the + icon expands all items displayed under setting details.
    Pressing the - icon closes all expanded settings.
  4. Comments
    Shows comments for the Material Settings file being imported.

Material Configuration File Export Dialog

This dialog can be used to confirm information about material configuration files to be exported and set applicable default settings.

Material Configuration File Export Dialog

  1. Applicable default settings at time of import
    Selected items are applied as defaults at time of import.
    All settings get exported, regardless of whether they are selected.
  2. Setting details
    Displays details regarding material settings being exported.
  3. Pressing the + icon expands all items displayed under setting details.
    Pressing the - icon closes all expanded settings.
  4. Comment
    Attaches a comment to the material configuration file to be exported.

Pressing OK opens a save file dialog. You can save the material configuration file (.c3mt) in any location under any name.


Display

Material Display Properties

  1. Set control over the rendering order and the type of the render layer using the radio buttons.
  2. Set the display faces when rendering using the radio buttons.
    • front : Only display the front face.
    • back : Only display the back face.
    • both : Display both faces.

Blending changes to custom rather than preset if the render layer is changed.


Color

Configures the material color and alpha settings.

Material Color Properties

  1. Sets the material's diffuse color.
    Settings can be made using direct numeric input, the color sliders, or the Color Picker.
    Clicking the color picker opens the Color Picker dialog.
  2. Sets the material's ambient color.
    Settings can be made using direct numeric input, the color sliders, or the Color Picker.
  3. Sets the material's emission color.
    Settings can be made using direct numeric input, the color sliders, or the Color Picker.
  4. Sets the material's Specular 0 color.
    Settings can be made using direct numeric input, the color sliders, or the Color Picker.
  5. Sets the material's Specular 1 color.
    Settings can be made using direct numeric input, the color sliders, or the Color Picker.


Light Set

Light sets used during rendering can be configured here.

Material Light Set Properties

  1. Number
    Select the number of a light set added to the scene.
    Displays a list of the lights used by the light set having the selected number.
  2. Browse Folder icon
    Clicking this icon displays a Light set select dialog, where any light set can changed.
  3. Displays a list of lights configured for the selected light set.

Select Light Set dialog

This dialog is displayed when you click the Browse Folder icon.

A list of light sets configured for the scene is displayed. Select the light set to be used by the material.

Select Light Set dialog

CONFIDENTIAL


Vertex Shader

You can configure the vertex shader used by a material here.

Material Vertex Shader Properties

  1. Lighting
    Enables/disables vertex lighting and hemispherical lighting using the checkboxes.
    If hemispherical lighting is used, a checkbox for the vertex color alpha value is also provided.
  2. The vertex color scale can be changed by entering numeric values directly or using the slider window.
  3. Shader management
    Select which shader to use from the pull-down menu.
  4. If there is more than one shader parameter, you can move up and down the selected shader parameters in the list.
  5. Add
    Adds a new shader parameter.
    Press Add opens a shader parameter input dialog, where you can set the parameter type to be added and set the vector based on the selected type.
  6. Delete
    Deletes the selected shader parameter.
  7. Edit
    Allows you to edit the selected shader parameter.
    Pressing Edit opens the shader parameter input dialog, where you can edit shader parameters.
  8. This window displays a list of user-defined shader parameters that have been added.

Shader Parameter Input Dialog

This dialog opens if you press the Edit button or Add button for adding user-defined shader parameters.

Shader Parameter Input Properties

  1. Change name and type
    This item is displayed only when Edit has been pressed. This allows you to edit the name and type of shader parameters already added.
  2. Enter the name of the user-defined shader parameter.
  3. Select the shader parameter type using the radio buttons.
  4. Boolean
    This item can only be set when boolean has been selected as the shader parameter type used by the material.
    Select true or false.
  5. Vectors for each dimension can be set under shader parameters if a type other than boolean is set.
    If boolean has been set, this item is grayed out and cannot be selected.


Fragment Light

You can configure fragment lights used by a material here.

The setting items shown for fragment lights varies depending on the layer configuration being used.

Material Fragment Light Properties

  1. Enables/disables fragment lighting using the checkbox.
  2. Changes the setting when using specular lighting.
    • Selects whether to use a geometric factor for Specular 0 using the checkbox.
    • Selects whether to use a geometric factor for Specular 1 using the checkbox.
    • Selects whether to clamp the specular color using the checkbox.
  3. Select the layer configuration to use from the pull-down menu.
    The setting items shown for fragment lights varies depending on the selected layer configuration.
  4. Lookup table set
    Select the lookup table to be used from the pull-down menu.
  5. Make this setting when using Distribution 0 with Specular 0.
    You can set and edit the lookup table, input angle, and scale to be used.
    If a lookup table is set, you can preview the lookup table being used.
    If you click Preview, a window for editing lookup tables opens, allowing you to edit the lookup table.
  6. Alpha/Fresnel
    Make this setting when using Fresnel with the primary or secondary color alpha.
    You can set and edit the lookup table, input angle, and scale to be used.
    If a lookup table is set, you can preview the lookup table being used.
    If you click Preview, a window for editing lookup tables opens, allowing you to edit the lookup table.
  7. Make this setting when using Distribution 1 with Specular 1.
    You can set and edit the lookup table, input angle, and scale to be used.
    If a lookup table is set, you can preview the lookup table being used.
    If you click Preview, a window for editing lookup tables opens, allowing you to edit the lookup table.
  8. Make this setting when using a reflection with Specular 0.
    You can set and edit the lookup table, input angle, and scale to be used for each RGB component.
    If a lookup table is set, you can preview the lookup table being used.
    If you click Preview, a window for editing lookup tables opens, allowing you to edit the lookup table.

Layer Configuration

Unsupported lookup tables in a layer configuration will not have any effect on lighting. The table below matches layer configurations and lookup tables.

○ : Supported
△ : Supported as grayscale
-- : Not supported

Layer Configuration Number | Lookup Table Spotlight | Lookup Table Distribution 0 | Lookup Table Distribution 1 | Lookup Table Reflection | Lookup Table Fresnel | Processing Load
Layer configuration 0 | ○ | ○ | -- | △ | -- | × 1
Layer configuration 1 | ○ | -- | -- | △ | ○ | × 1
Layer configuration 2 | -- | ○ | ○ | △ | -- | × 1
Layer configuration 3 | -- | ○ | ○ | -- | ○ | × 1
Layer configuration 4 | ○ | ○ | ○ | ○ | -- | × 3
Layer configuration 5 | ○ | ○ | -- | ○ | ○ | × 3
Layer configuration 6 | ○ | ○ | ○ | △ | ○ | × 3
Layer configuration 7 | ○ | ○ | ○ | ○ | ○ | × 4

Note that the processing load for lighting differs depending on the layer configuration used.


Textures

The settings for textures used by a material can be edited here.

Material Texture Properties

  1. You can add and delete textures.
    Thumbnails are displayed for textures set for a material.
    Up to three textures can be set.
  2. Displays information about the texture selected under A.
  3. Sets whether to use the configured texture as a bump map using a radio button.
    Selects whether to recalculate the z-component when using the bump mapping or tangent mapping.
  4. Image Attributes
    Allows you to set the filtering method, mipmap settings, and repeat settings for the texture.
  5. Make texture coordinator settings.


Combiner Color

You can set Constant Colors 0 through 5 and the buffer color for Stage 0 to be used by the combiner stage.

Material Combiner Color Properties

  1. Constant Color
    Displays Constant Colors 0 through 5 in a list.
    You can change any constant color or alpha selected from the list using direct numeric input, the color slider, or Color Picker.
    Clicking the color preview opens the Color Picker dialog.
  2. You can change the buffer color and alpha values for Stage 0 using direct numeric input, the color slider, or Color Picker dialog.


Combiner Stages

You can make combiner stage settings here.

Material Combiner Stage Properties

  1. Stage Selection
    Allows you to make settings such as for adding, deleting, and moving the combiner to be used.
    You can set up to six combiner stages.
  2. Stage Setting
    Allows you to edit the settings of the combiner stage selected under A.

Stage Selection

Material Combiner Stage Properties

  1. Number of stages to use
    Displays the number of stages used by the material.
    Changing this numeric value activates the corresponding number of stages and allows you to edit stages that were not being used.
  2. Replaces the selected stage with the stage to the left or right.
  3. Adds a stage.
  4. Deletes the selected stage.
  5. Copies the settings of the selected stage.
  6. Pastes copied settings.
  7. Displays details about the selected stage.

stage settings

Material Combiner Stage Properties

  1. Select the constant color to be used from the pull-down menu.
  2. Select the combiner function for the color to be used from the pull-down menu.
  3. Displays details about elements used by the color combiner function.
    Clicking a texture thumbnail displays details about the texture in a image details window.
  4. Select this item when outputting the results of the color combiner function to the buffer for the next stage.
  5. Select the operand to be used from the pull-down menu.
  6. Select the alpha combiner function to be used from the pull-down menu.
  7. Displays details about elements used by the alpha combiner function.
    Clicking a texture thumbnail displays details about the texture in a image details window.
  8. Select this item when outputting the results of the alpha combiner function to the buffer for the next stage.
  9. Select the operand to be used from the pull-down menu.


Fog

These settings are made when using a fog with a material.

A fog configured for the scene can be used.

Material Fog Property

  1. Selects whether to apply a fog to the material using the checkbox.
  2. Selects the fog data to be used based on the fog number set for the scene.
  3. File select icon
    Clicking this icon displays a fog selection dialog listing the fogs that can be used.

Select Fog dialog

Clicking the file selection icon located under Fog Calculations opens a fog selection dialog where you can configure fogs freely.

A list of fogs that can be used is displayed. Select a fog and press OK.

Select Fog dialog

CONFIDENTIAL


Fragment Test

You can make alpha test, depth test, and stencil test settings here.

Material Fragment Test Properties

  1. Enables/disables the alpha test using the checkbox.
    You can set alpha test comparison conditions and reference values.
  2. Enables/disables the depth test using the checkbox.
    You can set the process to use for depth test comparison conditions and depth values.
  3. Enables/disables the stencil test using the checkbox.
    You can set items such as stencil test comparison conditions and reference values.
    You can set the process for updating the stencil buffer according to test results.

Alpha test

Material Fragment Test Properties

  1. The alpha test is enabled when this item is selected for comparing alpha values.
  2. Select the alpha value comparison conditions from the pull-down menu.
  3. This item can be set by directly entering a numeric value for the reference value or using the slider.

Depth test

Material Depth Test Properties

  1. The depth test is enabled when this item is selected for comparing depth values.
  2. Select the depth value comparison conditions from the pull-down menu.
  3. Select this item when writing compared depth values to the frame buffer.
  4. Select this item when applying an offset to depth values.
    This item can be set by directly entering a numeric value for the offset to be applied or using the slider window.

Stencil test

Material Stencil Test Properties

  1. The stencil test is enabled when this item is selected for comparing stencil values.
  2. Select the stencil value comparison conditions from the pull-down menu.
  3. This item can be set by directly entering a numeric value for the reference value or using the slider.
  4. This item can be set by directly entering a numeric value for the comparison mask or by using the slider.
  5. Select the stencil buffer update method from the pull-down menu based on stencil test results.


Blender

You can make blend setting for materials here.

The setting items shown vary depending on the selected blend mode.

Material Blender Properties

  1. Blend mode
    Select the blend mode to be used by the material from the pull-down menu.
  2. Color blend
    This setting appears if blending is selected under A.
    Select the blend method for the color from the pull-down menu and set formula components (for both source and destination).
  3. Alpha blend
    This setting appears if blending is selected under A.
    Select the blend method for the alpha from the pull-down menu and set formula components (for both source and destination).
  4. Blend color
    This setting appears if blending is selected under A.
    The blend color and alpha to be used in blending can be set using direct numeric input, the color sliders, or on the Color Picker dialog. Clicking the color picker opens the Color Picker dialog.
  5. Logical Operations
    Sets the operation from the pull-down menu if Logical Operations has been selected for the blend mode under A.


Mesh

Meshes have the following property items.

  • Display
  • Stream
  • Vertex Information
  • Polygon information
  • User Data

  1. Displays mesh property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected mesh property item.
  3. Displays the bones referenced by the mesh.
    Select a bone from the list and double click to open a Property window for the selected bone.


Display

You can set the render priority and Show/Hide for meshes displayed by the Viewer.

Mesh Display Properties

  1. Selects Show/Hide for meshes shown on the Viewer using the checkbox.
  2. Sets the render priority of a mesh from 0 to 15.
    Basically, the higher the numeric value for render priority, the more a mesh appears in the foreground compared to meshes with lower numeric values.
  3. Bounding box
    Displays the display area of a model.


Stream

Stream information about meshes is displayed here.

Mesh stream properties

  1. Stream information about meshes is displayed here.
  2. Mesh vertex stream information is displayed here.


Vertex Information

Mesh vertex information is displayed in a list.

Mesh Vertex Information Properties

  1. Select the vertex information to be listed using the checkboxes.
    Checked items are displayed.
  2. Displays vertex information in a list.
    Data can be sorted in ascending or descending order by clicking the given index of the list.


Polygon information

Polygon information is displayed in a list.

Mesh Polygon Information Properties

  1. Select the polygon information to be listed using the checkbox.
    Checked items are displayed.
  2. Displays polygon information in a list.
    Data can be sorted in ascending or descending order by clicking the given index of the list.


Bones

Bones have the following property items.

  • General
  • User Data

  1. Displays bone property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


General

You can configure general bone settings here.

General Bone Properties

  1. Displays the bone matrix of the open Property window.
  2. Select the type of billboard to use for the bone using the radio buttons.
  3. Displays information about the billboard configured under B.
  4. Bone compression
    Select this checkbox when culling unnecessary bones that have no direct connection to the rendering of polygons using the optimization converter.


Textures

Textures have the following property items.

  • Texture Use
  • Log
  • User Data

  1. Displays texture properties.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.
    Clicking the thumbnail of a texture displayed on the texture Property window allows you to check information about the texture in an image details window.


Texture Use

Displays the use conditions of textures.

Texture Use Status

  1. Displays the number of times a texture is used by a material.
  2. Displays a list of models and materials that use the texture.
    Select a model or material displayed in the list and double click to open the corresponding Property Window.


Log

Common log Properties

  1. File creation log
    Displays a file creation log including information such as the creator.
  2. File change log
    Displays a log of dates the file was changed and the tool used.


Lookup table set

Lookup table sets have the following property items.

  • General
  • Log
  • User Data

Lookup table properties

  1. Displays table lookup set property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.


General

You can make general lookup table set setting here.

General Lookup Table Set Properties

  1. You can move the selected lookup table set left and right in the list of lookup tables under E.
  2. Creates a new lookup table.
  3. Deletes the selected lookup table.
  4. Edits the selected lookup table.
    Press Edit to open a separate window for editing lookup tables. The editing window can also be opened by clicking a preview thumbnail in the list of lookup tables.
  5. List of lookup tables
    Lookup tables configured for the lookup table set are displayed as thumbnails.


Animation

The following property items are available for animations.

The property items shown vary depending on the animation type selected.

  • General
  • Texture Patterns
  • Animation
  • Log
  • User Data

Texture patterns can be set only for texture pattern animations and material animations.

  1. Displays animation property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.

Animation Type

The following animations can be configured and edited using 3DEditor.

Scene animation

Camera animation
This type of animation is applied to cameras.
Light animation
The following animations can be created for lights.
  • Ambient light
  • Hemispherical Lights
  • Fragment light
  • Vertex lights
Fog animation
This type of animation is applied to fogs.

Model animation

Material animation
This type of animation is applied to materials.
Texture patterns can be set.
Color Animation
This type of animation is applied colors.
Model Animations
This type of animation is applied to models.
Texture Pattern Animation
Pattern animations use textures.
Texture patterns can be set.
Texture SRT Animation
This type of animation is applied to the texture SRT.
Skeletal animation
Although skeletal animations cannot be configured using 3DEditor, 3DEditor can display skeletal animation information output from a 3D CG tool.


General

You can make general animation settings here.

General animation properties

  1. You can set the number of frames to be played by the Viewer using direct numeric input or using the slider window.
  2. Loop playback checkbox
    Select this checkbox if you want the animation displayed in the Viewer to loop.


Texture Patterns

You can configure textures to be used in texture pattern animations here.

  1. Select the texture to be added to the texture pattern from the pull-down menu.
    Textures that can be loaded into 3DEditor are displayed in the pull-down menu.
  2. Add
    Pressing Add adds the selected texture to the pattern and displays it in a list.
    A number is automatically assigned to the added texture.
  3. The selected texture can be moved up and down in the list.
    Moving a texture causes its texture number to change.
  4. Delete
    Deletes the selected texture in the list.
  5. Texture list
    Use the number automatically assigned to each texture to create texture pattern animations.
  6. Image
    Displays information about the texture selected in the list.
  7. Change
    Pressing Change allows you to open a separate window for changing the texture images that have been set.

Change Texture Image Window

Change Texture Image Window

  1. Displays the color image and alpha image for the texture selected under B.
  2. Textures
    Displays textures that can be changed in a list.
    Textures are changed by selecting the texture you want to change and pressing the OK button.


Animation

Animations can be created and edited using Curve Editor features.

The setting items (nodes) displayed vary depending on the type of animation.

  1. Animation properties are displayed.
  2. Curve Tree View
    Displays the nodes that can be selected for the animation being created.
  3. The Toolbar is used to edit curves and keys.
    For details, see the description given in Toolbar.
  4. Curve View
    Displays the animation curve for the node selected in the Curve Tree View.
    The curve can be edited in this view.

List of Curve Editor Operations

This is a list of Curve Editor operations.

Operation | Feature
[S] | Add key
[Delete]
[BackSpace] 		Delete key
CTRL+C | Copy key
CTRL+V | Paste key
CTRL+X | Cut key
[A] | Fit all to view
[F] | Fit selection to view
[R] | Fit frame range to view
[Ctrl] + [+] | Enlarge view
[Ctrl] + [-] | Reduce view
[N] | Select previous curve
[M] | Select next curve
[,] Select previous key
[.] Select next key
[↑] [↓] Edit value of selected key
[←] [→] Edit selected key frame
[ I ] | Set key mode to "Insert Keys."

Curve Tree View

Displays a tree view of the curves included in animations.
You can select and edit curves.

  1. This group of icons is used to change the display status of the Curve Tree View.
    Icon | Description
    Show nodes that have curves | This is a filter button. Only nodes that have curves are shown if selected.
    Reset tree status | Resets the tree status.
    Open all trees | Expands the tree to show lower branches.
    Show all nodes Puts all nodes in show status.
    The show/hide checkboxes for nodes are all selected.
    Hide all nodes Puts all nodes in hide status.
    The show/hide checkboxes for nodes are all unselected.
  2. Curve Tree View
    Displays selectable nodes.
    When a node that has a curve is selected, the curve is displayed in the Curve View.
    Show/hide can be switched for curves using the checkbox included for each node.
    Curve State
    Icon | Description
    Show nodes that have curves | A curve that does not have configured keys.
    Show nodes that have curves | A curve that does not have configured keys and has not been selected.
    Show nodes that have curves | A curve that has configured keys and has been selected.

Curve View

In Curve View, you can create and edit animation curves.

  • Mouse Operations in Curve View
  • Selecting Curves and Keys
  • Add key
  • Copy and Paste

Animation Graph View

  1. This is the Curve View.
    It is used to select and edit curves and keys.
  2. Indicates the range of animation frames.
    The area outside the range of frames is displayed with a darkened background.
  3. This is an animation curve.
    The color of lines is determined based on the attribute type.
  4. This is the time slider area.
  5. This icon is for switching the display of key information.
    If information display is enabled, the following key information is displayed when a key is selected in the Curve View.
    Displayed Key Information
    Icon | View Display | Displayed Information
    Frame and Value Display Icon | Frame and Value Display | Displays the number of frames and values for the selected key.
    Slope Information Display Icon | Display slope information | Displays slope information for the selected key.
    Displays the maximum and minimum values set for the curve. | Display maximum and minimum values | Displays the maximum and minimum values for keys adjacent to the selected key.

Mouse Operations in Curve View

Mouse operations in Curve View are given below.

Operation | Description
Left button click | Selects keys.
Left button range selection | Selects keys and curves inside the selected range.
Center button drag | Moves a key when the key mode is "move closest key" or "move multiple keys". Move closest key moves the closest key from the location where the center button is dragged. Move multiple keys moves keys that are in selected status.
Center button click | If the key mode is "insert keys," keys are inserted based on the value and slope evaluated for the curve in the frame where the center button was pressed. If the key mode is "add keys," keys are added in the location where the center button was pressed.
SHIFT + Center button drag | This operation is enabled when the key mode is "move closest key" or "move multiple keys". This limits the movement of keys to vertical or horizontal motion.
Alt + Center button drag | Slides the view.
Alt+Right or left button drag | Changes the view scale to uniform.
Alt+Shift+Right button Left/right drag start | Changes the scale of the view in the frame direction.
Alt+Shift+Right button Up/down drag start | Changes the scale of the view in the value direction.

Selecting Curves and Keys

The curve view can be used to select (multiple) curves, keys, and slopes.

State | View Display | Selection Method
Unselected | Show nodes that have curves | Selects the area containing nothing in the curve display region.
Curve selected | Show nodes that have curves | Select the corresponding items in the Curve Tree View or range select a curve using the left mouse button.
Key selected | Show nodes that have curves | Left click the key you want to select included in the curve or range select using the left mouse button. When a key is selected, it is highlighted and the slope handle is displayed.
Slope selected | Show nodes that have curves | Either left click the leading edge of the slope handle while a key is selected or range select using the left mouse button.

Add key

This section describes the procedure for adding a key to any frame of an existing curve.

  1. Select the curve to which the key is to be added.
  2. Place the mouse cursor in the location where you want to add the key and press [S].
  3. The key will be added to the selected location.
  4. Select the added key and enter numeric values for "frame" and "value" on the Toolbar.

Copy and Paste

Curves and keys selected in the Curve View can be copied and pasted using Ctrl+C and Ctrl+V.

There are two types of copying.

  • Copy a curve (multiple curves cannot be copied simultaneously)
  • Copy a key (multiple keys can be copied simultaneously)

It is possible to paste to the selected curve.

Operations during pasting are set using paste items on the Toolbar.

Toolbar

Curve Editor Toolbar

  1. Key mode, key type, key frame, and value clamping can be selected using icons.
    Hovering the cursor over any icon gives a description of its function.
  2. Snap
    The snap unit for the value and frame of the key to be added can be selected from a pull-down menu.
  3. Paste
    The position and method to use for pasting a copied key can be selected from a pull-down menu.
  4. Use numeric input to set the number of frames and values for keys selected in the Curve View.
  5. Use numeric input to set the slope for the selected key.

Paste

This section describes the position and method of selecting from the pull-down menu for pasting.

Position
Pull-down Menu Items | Description
Cursor Position | Pastes the key to the cursor position.
The copy destination | The frame (horizontal axis) is located at the cursor position. The value of the copy destination is used for value (vertical axis).
Copy | The value of the copy destination is used for both the frame (horizontal axis) and value (vertical axis).
Method
Pull-down Menu Items | Description
Insert | Inserts and pasts the copied key. The frames of keys located after the paste position are increased by the number of curve frames that have been pasted.
Replace | Replaces and pastes the copied key. Keys that already exist are replaced by the pasted key (curve).
Merge | Merges and pastes the copied key. The copied key is pasted while leaving already existing keys in place. The result is a where the already existing key is merged with the pasted key.


Skeletal animation

The following property items are available for skeletal animations.

Skeletal animations cannot be edited with 3DEditor.

  • Log
  • User Data

Skeletal Animation Properties

  1. Displays skeletal animation property items.
    When an item is selected, information for that item is displayed in B, where it can be edited.
  2. Displays details of the selected property item.
    Output options for skeletal animations as set using a 3DCG tool can be displayed for verification.


Other Windows

  • Slider Window
  • Color Picker Dialog Box
  • Save Binary File Dialog Box
  • Window for Displaying Image Details
  • Window for Editing Lookup Tables


Slider Window

This window is used to edit values in an analog fashion using a slider bar.

  1. Directly sets a value.
  2. Press the button for pop-up display of a slider window.
    To close the window, press the button again or click anywhere outside of the slider window.
  3. The value is restored to what it was when the slider window was displayed.
  4. Reduces the range of settings by one level (i.el., x 0.1)
    This operation is only available when editing values that have a variable setting range.
    The same operation can be performed using the minus (-) key.
  5. Enlarges the range of settings by one level (i.e., x 10)
    This operation is only available when editing values that have a variable setting range.
    The same operation can be performed using the plus (+) key.
  6. Changes the value using the slider bar.
    Point the mouse cursor to a place on the slider to display the value at the position in the tooltip.


Color Picker Dialog Box

Dialog box for editing colors.

Color Picker Dialog Box

  1. Indicates the current color.
  2. Saves the current color in the color palette selection region.
    The alpha component is not stored.
  3. Color palette
    Colors can be configured from the 16-color selection area.
    Selecting a color by left clicking sets the current color.
    Right clicking activates the color selection area.
    Saving under B is not performed for the active selected area.
  4. Changes the color's hue (Hue).
  5. Changes the color's saturation (Saturation) and brightness (Value).
  6. The display formats for each component can be either RGB or HSV.
    Values resulting from settings will not change for different display formats.
  7. The values for each component's display format can be shown as integers (in a range from 0 to 255) or decimal values (in a range from 0.0 to 1.0). This is only valid when the selected display format for each component is RGB.
    Values resulting from settings will not change for different display formats.
  8. Changes the color components.
    If the color that is the target for editing has only RGB components, the numerical box and the bar for setting the alpha component will not be displayed.


Save Binary File Dialog Box

This dialog is displayed when saving data edited using 3DEditor as a binary file.

Save Binary File Dialog Box

  1. File list
    Displays a list of files to be saved as binary files.
    A file will not be saved as a binary file unless the checkbox next to that file is selected.
  2. Check
    File extensions are displayed in the pull-down menu.
    Clicking a file extension selects all checkboxes for files having the clicked extension. This allows those files to be saved as binary files.
  3. Clear
    File extensions are displayed in the pull-down menu.
    Clicking a file extension unselects all checkboxes for files having the clicked extension. These files will not be saved as binary files.
  4. Target File Count
    Displays the number of taget files to be saved as binary files for each extension.
    Files whose checkboxes are not selected in the file list are not counted.
  5. Select the checkbox if files are to be collected and made into a resource.
    The location where files will be stored differs in terms of resource file path or save destination folder depending on whether this checkbox is selected.
  6. Resource file path
    Enabled when the checkbox in E is selected.
    Click the file reference icon and set the resource file path.
  7. Save destination folder
    Enabled when the checkbox in E is not selected.
    Click the file reference icon and set the foder in which to save binary files.


Window for Displaying Image Details

This window displays information about texture and other images.

For textures that include mipmaps, it is also possible to display an image of the mipmap portion.

Window for Displaying Image Details

  1. This is the scaling factor used for display in the details window.
  2. The display size can be enlarged or reduced.
  3. Settings for R, G, B, and A can be independently checked by pressing the associated button.
  4. This can be used when using mipmaps.
    Displays the mipmap part of the texture displayed in the details window.
  5. Allows you to preview the selected image.
  6. Displays image data details.


Title

Window for Editing Lookup Tables

This window is used to edit lookup tables.

Window for Editing Lookup Tables

  1. Sets the name of the lookup table.
  2. Sets comments and task color for the lookup table.
  3. The settings change depending how the lookup table display method is switched by H.
    If values along the X axis are shown in units of degrees, they change with the Clamp values above 90° checkbox. If values along the X axis are shown normalized (Cos notation), they change with the Clamp values below 0 checkbox.
  4. Degrees and values are set by entering numbers.
  5. The slope is set by entering separate numbers for left and right.
  6. Using the icons, you can configure such settings as key control and type, change the slope, and choose to show tangents only for selected keys.
  7. Only shows tangents for selected keys.
  8. Switches between the display of degrees and normalized numbers (-1 to +1) along the X axis.
  9. Display output values as 0 (black) and 1 (white).
  10. Curve View
    Used to add keys and edit curves.

Editing Lookup Tables

Lookup tables are edited in the following ways.

Operation | Description
Left button click | Selects keys.
Clicking the right mouse button | Add/delete key Deletes the keys in the selected area if there is one or adds a key if there isn't.
Center button drag | Moves the key and slope.
SHIFT + Center button drag | The slope of the selected key is separated into left and right components which can be changed independently. The left and right slope can be connected by another Shift + Center button drag operation.
Keyboard [ , ] | Selects the previous key.
Keyboard [ . ] | Selects the next key.


FAQ

Frequently Asked Questions Regarding 3DEditor

How do I check Maya export options on 3DEditor?

How do I check for VRAM use?

How do I automatically load models and at the same time lookup table sets and shared textures stored in a different folder?

What is the priority when automatically opening files referenced by models?

How do you change the default view of Schematic Display?

How do I check Maya export options on 3DEditor?

To check the export options for models, see the Log category in the Model Property Window.

To check the export options for skeletal animations , see the Skeletal Animation Property Window

How do I check for VRAM use?

  1. First check VRAM usage for the overall model by checking VRAM Size in the Model category in the Model Property Window.
  2. Next check Vertex VRAM Size and Texture VRAM Size in the same category to check the ratio of VRAM usage for vertices and textures.
  3. If a large amount of VRAM is being used for vertices, use the following procedure to check the breakdown of usage:
    1. Check the VRAM usage for each mesh and their ratios in the Stream Information category of the Model Property Window.
    2. Left-double-click on a mesh name in the Stream Information list to select that mesh.
      Two Property Windows display. You can proceed with your tasks more easily if you select a model and fix it using a pushpin.
    3. Check the VRAM usage and usage ratios for vertex indices and the various vertex attributes in the Stream category of the Mesh Property Window.
  4. If a large amount of VRAM is being used for textures, check the VRAM usage and usage ratios for each texture by checking VRAM Size and VRAM Size Ratio in the Texture List.

How do I automatically load models and at the same time lookup table sets and shared textures stored in a different folder?

By configuring additional reference paths in the config file these will be loaded automatically when a model is loaded.

For the ReferencePaths element of NW4C_3DEditor.NW4C.config, specify the path to where the lookup table sets and shared textures are being stored.

Alternately, you can specify a relative path from the referencing file.

If a folder hierarchy has been created below the added reference path, then the relative path from the added reference path will be stored in the intermediate file.

If there are multiple shared files, describe the Path element multiple times.

The example below is the entry made to NW4C_3DEditor.NW4C.config when there is a shared file located in D:\ResourcePath\Common\ .

<?xml version="1.0" encoding="utf-8"?>
<Setting xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ReferencePaths>
    <Path>D:\ResourcePath\Common\</Path>
  </ReferencePaths>
  ...
</Setting>

What is the priority when automatically opening files referenced by models?

The various files referenced by a model file are loaded in the order of name-matching priority shown below:

  1. (Limited to textures) Those files located in /Textures below the folder where the referencing file resides.
  2. Those files in the same folder as the referencing file.
  3. Those files located in added reference path folders.
  4. Those files located in relative paths from the added reference path folders.
  5. Those files located in relative paths from the folder where the referencing file resides.

How do you change the default view of Schematic Display?

The default settings for display of bones, meshes, materials and texture nodes when models are shown in Schematic Display are configured in the config file.

Say that you are material editing. The example below is the entries made to NW4C_3DEditor.NW4C.config to hide bones, always show meshes, and give detailed views of materials and textures.

<?xml version="1.0" encoding="utf-8"?>
<Setting xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <SchematicDisplayModes>
    <Bone>Hide</Bone>
    <Mesh>Simple</Mesh>
    <Material>Wide</Material>
    <Texture>Wide</Texture>
  </SchematicDisplayModes>
  ...
</Setting>


Trademarks

Microsoft and Windows are registered trademarks or trademarks of Microsoft Corporation in the U.S. and other countries.

All other company and product names are registered trademarks or trademarks of their respective companies.


Texture Use

Pardon us for the inconvenience, but this page is currently under construction.


Log

Displays a table lookup set log.

Pardon us for the inconvenience, but this page is currently under construction.


Log

Pardon us for the inconvenience, but this page is currently under construction.